Cover

Synway SMG-B Series Analog Gateway

SMG1004B

SMG1008B

SMG1016B4

SMG1032B4

Analog Gateway

User Manual

Version 1.7.1

Synway Information Engineering Co., Ltd

www.synway.net


Content

Content i

Copyright Declaration. iii

Revision History. iv

Chapter 1 Product Introduction. 1

1.1 Typical Application.. 2

1.2 Feature List 2

1.3 Hardware Description.. 4

1.3.1 SMG-B 4-port Analog Gateway. 4

1.3.2 SMG-B 8-port Analog Gateway. 5

1.3.3 SMG-B 16-port Analog Gateway. 5

1.3.4 SMG-B 32-port Analog Gateway (Unsupported) 7

1.4 Indicator Info. 7

Chapter 2 Quick Guide. 9

Chapter 3 WEB Configuration. 14

3.1 System Login.. 14

3.2 Operation Info. 15

3.2.1 System Info. 15

3.2.2 Channel State. 16

3.2.3 Call Count 17

3.2.4 SIP Message Count 18

3.3 Quick Config. 18

3.4 VoIP Settings. 20

3.4.1 SIP. 21

3.4.2 SIP Compatibility. 23

3.4.3 SIP Station. 26

3.4.4 SIP Server 28

3.4.5 NAT Setting. 30

3.4.6 Media. 33

3.5 Advanced Settings. 35

3.5.1 FXS. 36

3.5.2 FXO.. 38

3.5.3 Tone Detector 41

3.5.4 Tone Generator 42

3.5.5 DTMF. 43

3.5.6 Ringing Scheme. 44

3.5.7 Fax. 45

3.5.8 Function Key. 47

3.5.9 Dialing Rule. 48

3.5.10 Dialing Timeout 52

3.5.11 Cue Tone. 53

3.5.12 Color Ring. 54

3.5.13 QoS. 55

3.5.14 Action URL. 56

3.6 Port Settings. 56

3.6.1 FXS. 56

3.6.2 FXO.. 61

3.6.3 FXO Port Timer 65

3.6.4 Port Group. 67

3.6.5 Advanced FXO Settings. 71

3.7 Route Settings. 72

3.7.1 Routing Parameters. 72

3.7.2 IP to Tel 73

3.7.3 Tel to IP. 75

3.8 Number Manipulation.. 77

3.8.1 IP to Tel CallerID.. 78

3.8.2 IP to Tel CalleeID.. 82

3.8.3 Tel to IP CallerID.. 83

3.8.4 Tel to IP CalleeID.. 86

3.9 System Tools. 87

3.9.1 Management 88

3.9.2 Configuration File. 90

3.9.3 Network. 91

3.9.4 Upgrade. 92

3.9.5 Signaling Capture. 94

3.9.6 Data Recording. 94

3.9.7 Call Log. 95

3.9.8 Operation Log. 96

3.9.9 Backup & Upload. 96

3.9.10 Factory Reset 98

3.9.11 System Monitor 98

3.9.12 Centralized Manage. 99

3.9.13 Access Control 100

3.9.14 PING Test 102

3.9.15 TRACERT Test 103

3.9.16 Change Password. 104

3.9.17 Restart 104

Appendix A Technical Specifications. 105

Appendix B Troubleshooting. 106

Appendix C Technical/sales Support 109


Copyright Declaration

All rights reserved; no part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, without prior written permission from Synway Information Engineering Co., Ltd (hereinafter referred to as ‘Synway’).

Synway reserves all rights to modify this document without prior notice. Please contact Synway for the latest version of this document before placing an order.

Synway has made every effort to ensure the accuracy of this document but does not guarantee the absence of errors. Moreover, Synway assumes no responsibility in obtaining permission and authorization of any third party patent, copyright or product involved in relation to the use of this document.


Revision History

Version | Date | Comments
Version 1.0.0 | 2015-06 | Initial publication
Version 1.0.1 | 2015-08 | New revision
Version 1.0.2 | 2015-10 | New revision
Version 1.0.2 | 2015-12 | New revision on Version 1.0.2
Version 1.1.0 | 2016-03 | New revision
Version 1.6.3 | 2016-12 | New revision
Version 1.6.4 | 2017-02 | New revision
Version 1.7.1 | 2017-05 | New revision

Note: Please visit our website http://www.synway.net to obtain the latest version of this document.


Chapter 1 Product Introduction

Thank you for choosing Synway SMG-B Series Analog Gateway!

The Synway SMG-B series analog gateway products (hereinafter referred to as ‘SMG-B analog gateway’) are mainly used for connecting traditional phone sets, fax machines and PBXes with the IP telephony network or IP PBX. It provides a powerful, reliable and cost-effective VoIP solution for such occasions as IP call centers and multi-branch agencies.

See below table for the modules of SMG-B series analog gateway:

Module | Amount of FXS Port | Amount of FXO Port
SMG1004B-4S | 4 | 0
SMG1004B-2S2O | 2 | 2
SMG1004B-4O | 0 | 4
SMG1008B-8S | 8 | 0
SMG1008B-4S4O | 4 | 4
SMG1008B-8O | 0 | 8
SMG1016B4-16S | 16 | 0
SMG1016B4-8S8O | 8 | 8
SMG1016B4-16O | 0 | 16
SMG1032B4-32S | 32 | 0
SMG1032B4-24S8O | 24 | 8
SMG1032B4-16S16O | 16 | 16
SMG1032B4-32O | 0 | 32

Table 1 Model List

Note: The modules written in black are supported, while those in gray are not yet supported.


1.1 Typical Application

Figure 1‑1 Typical Application


1.2 Feature List

Basic Features

Description

TDM Call

Call initiated from TDM to IP, via routing and number manipulation to obtain the called IP address.

IP Call

Call initiated from IP to TDM, via routing and number manipulation to obtain the call destination.

Number Manipulation

Peels off some digits of a phone number from left/right, or adds a prefix/suffix to a phone number.

Call Forward

Three options available: Unconditional, Busy and No Reply.

Call Waiting

When an FXS channel receives another call while it is in conversation, it will have the newly received call keep waiting. Once the current call is finished, the new one will ring the FXS channel and wait for its answer.

Auto Dial

If there is no dialing operation in a designated time period after pickup, the preset auto dial number will be called.

Do Not Disturb

Rejects all the incoming calls to the channel.

CID

Displays the CallerID.

Echo Cancellation

Provides the echo cancellation feature for a call conversation over the FXS channel.

TDM/VoIP Routing

Sets a routing path: from IP to TDM or from TDM to IP.

Fax

Provides multiple fax parameters: fax mode, maximum fax rate, fax train mode, error correction mode, etc.

Communication without Power

Enable a connection of the station which is linked with the FXS port and the trunk which is linked with the FXO port to keep the calls between the FXS port and PSTN uninterrupted during power outage.

Communication without Network

Automatically routes a call to the proper port according to the configuration in case of network failure or call timeout.

Send Polarity Reversal Signal

Sends the polarity reversal signal to a corresponding FXS channel when the called party pick-up behavior is detected.

Detect Polarity Reversal Signal

Turns a corresponding channel into the talking state when the FXO port detects the polarity reversal signal.

Simultaneous Register to Multiple Servers

Registers the gateway to a master registrar server and a spare registrar server simultaneously.

IMS Network

Registers the gateway to a server under IMS network.

SIP Station

Supports a SIP terminal to be registered to the gateway and become a SIP station.

Group Ringing

Rings all the idle FXS ports in a port group.

Ringing by Turns

Rings the FXS ports in a port group by turns according to the Rule for Ringing by Turns.

Preemptive Answer

When a channel in a port group is ringing, another channel in the same port group can press the preemptive answer keyboard shortcut to transfer the call from the ringing channel to the current channel.

Centralized Manage

The gateway can register to Synway DCMS and accept the management of the platform.

Signaling & Protocol

Description

SIP Signaling

Supported protocol: SIP V1.0/2.0, RFC3261.

Voice

CODEC | G.711A, G.711U, G.729A/B, G.723, G.722, AMR, iLBC
DTMF Mode | RFC2833, SIP INFO, INBAND

Network

Description

Network Protocol

Supported protocol: TCP/UDP, HTTP, ARP/RARP, DNS, NTP, TFTP, TELNET, STUN.

Static IP

IP address modification support.

DHCP

IP address dynamic allocation support.

DNS

Domain Name Service support.

Security

Description

Admin Authentication

Supports admin authentication to guarantee the resource and data security.

System Monitor

Monitors the running status of the system and the server.

Maintain & Upgrade

Description

WEB Configuration

Support of configurations through the WEB user interface.

Language

Chinese, English.

Software Upgrade

Support of user interface, gateway service, kernel and firmware upgrades based on WEB.

Tracking Test

Support of Ping and Tracert tests based on WEB.

SysLog Type

Three options available: ERROR, WARNING, INFO, DEBUG.


1.3 Hardware Description


1.3.1 SMG-B 4-port Analog Gateway

The SMG-B 4-port analog gateway has three types: SMG1004B-4S (4 FXS ports), SMG1004B-2S2O (2 FXS ports and 2 FXO ports) and SMG1004B-4O (4 FXO ports). It supports one LAN and adopts an external 12V power supply. See below for product appearance (taking SMG1004B-4S for example).

Figure 1‑2 SMG1004B-4S Front View

Figure 1‑3 SMG1004B-4S Rear View


1.3.2 SMG-B 8-port Analog Gateway

The SMG-B 8-port analog gateway has three types: SMG1008B-8S (8 FXS ports), SMG1008B-4S4O (4 FXS ports and 4 FXO ports) and SMG1008B-8O (8 FXO ports). It supports one LAN and adopts an external 12V power supply. See below for product appearance (taking SMG1008B-8S for example).

Figure 1‑4 SMG1008B-8S Front View

Figure 1‑5 SMG1008B-8S Rear View


1.3.3 SMG-B 16-port Analog Gateway

The SMG-B 16-port analog gateway has three types: SMG1016B4-16S (16 FXS ports), SMG1016B4-8S8O (8 FXS ports and 8 FXO ports) and SMG1016B4-16O (16 FXO ports). It supports one LAN. See below for product appearance (taking SMG1016B4-16S for example).

Figure 1‑6 SMG1016B4-16S Front View

Figure 1‑7 SMG1016B4-16S Rear View

Figure 1‑8 SMG1016B4-16S Left View

The table below gives a detailed introduction to the interfaces, buttons and LEDs illustrated above:

Interface | Description
LAN | Amount: 1
 | Type: RJ-45
 | Bandwidth: 10/100 Mbps
 | Self-Adaptive Bandwidth Supported
 | Auto MDI/MDIX Supported
 | Built-in Link indicator and ACTIVE indicator. For more details, refer to 1.4 Indicator Info
FXS | Amount: Depends on the model of SMG-B analog gateway
 | Type: RJ-11, RJ-45
 | Maximum Transmission Distance: 5000m
 | Charge Mode: Negative Anti-billing Supported
Console Port | Amount: 1
 | Type: RS-232
 | Baud Rate: 115200bps
 | Connector: RJ45 to DB-9 Connector
 | Data Bits: 8 bits
 | Stop Bit: 1 bit
 | Parity Unsupported
 | Flow Control Unsupported
External Power Supply Interface | Provide the 12V voltage with positive inside and negative outside, and the current is larger than 3A
Button | Description
Reset Button | Restore the gateway to factory settings by pressing this button persistently for 3 seconds
LED | Description
Power Indicator | Indicates the power state. It lights up when the gateway starts up with the power cord well connected
Run & Alarm Indicator | Indicates the running status. For more details, refer to 1.4 Indicator Info .
Network Indicator | Indicates the connection status of the network. For more details, refer to 1.4 Indicator Info
Channel Indicator | 1. When the channel is idle, the LED Lights up; 2. When the channel is off-hook, the LED flashes slowly; 3. When the channel is ringing, the LED flashes fast.

For other hardware parameters, refer to Appendix A Technical Specifications .


1.3.4 SMG-B 32-port Analog Gateway (Unsupported)

The SMG-B 32-port analog gateway has four types: SMG1032B4-32S (32 FXS ports), SMG1032B4-24S8O (24 FXS ports and 8 FXO ports), SMG1032B4-16S16O (16 FXS ports and 16 FXO ports) and SMG1032B4-32O (32 FXO ports). It supports one LAN.


1.4 Indicator Info

The SMG-B analog gateway is equipped with two indicators denoting the system’s running status: Run & Alarm Indicator (bi-color LED) and Network Indicator (bi-color LED). The table below explains the states and meanings of the two indicators.

LED | State | Description
Run & Alarm Indicator | Go out | System is not yet started.
 | Orange LED light up | Device works normal upon system startup.
 | Orange LED flash fast | Device works normal upon system startup.
 | Green LED flash slowly | Device works normal during system runtime.
 | Others | Device works abnormal
Network Indicator | Go out | No network connection
 | Red LED light up and flash | Bandwidth 10 Mbps
 | Orange LED light up and flash | Bandwidth 100Mbps
LINK Indicator | Go out | Network is not yet connected or the network connection is 10Mbps
 | Green LED light up | Connect to 100Mbps network, and network connection is normal.
ACTIVE Indicator | Go out | Connect to 10Mbps network: communication is normal; While connect to 100Mbps network: Communication is abnormal.
 | Orange LED light up and flash | Communication is normal.

Note:

l The startup process consists of two stages: System Booting and Gateway Service Startup. The system booting costs about 1 minute and once it succeeds, the run & alarm indicator is orange and lights up or flashes. Then after the gateway service is successfully started and the device begins to work normally, the run & alarm indicator is green and flashes slowly.

l During runtime, if the run & alarm indicator is orange and lights up or flashes, it indicates that the device goes abnormal. If you cannot figure out and solve the problem by yourself, please contact our technicians for help. Go to Appendix C Technical/sales Support to find the contact way.


Chapter 2 Quick Guide

This chapter is intended to help you grasp the basic operations of the SMG-B analog gateway in the shortest time.

Step 1: Confirm that your packing box contains all the following things.

l SMG-B Series Analog Gateway *1

l External 12V Power Adapter *1 (Unnecessary for SMG-16B)

l Network Cable *1

l Warranty Card *1

l Installation Manual *1

Step 2: Connect the network cable.

These series products provide RJ-45 interfaces.

Step 3: Connect the telephone line.

The SMG-B 8-port analog gateway provides RJ11 interfaces. You can use a common telephone line directly or construct a telephone line by yourself according to Figure 2‑1. Note that only the middle two cores in the RJ11 jack are valid for use.

Figure 2‑1 RJ11 Connection

The SMG-B 16-port analog gateway has four 8-pin RJ45 jacks each of which can be connected to four 2-pin RJ11 jacks via a 4-way hub. Take the first RJ45 jack for example, the matching relationship among the channel number, the pins of the RJ45 jack and the 4-way hub is shown in the table below.

Interface | Channel Number | Pins of the RJ45 Jack | 4-way Hub
First RJ45 Jack | 1 | 1st and 2nd pins | 1st jack
 | 2 | 3rd and 4th pins | 2nd jack
 | 3 | 5th and 6th pins | 3rd jack
 | 4 | 7th and 8th pins | 4th jack

Table 2‑1 Matching Relationship among Channel Number, Pins of RJ45 Jack and 4-way Hub

Step 4: Power on and start the gateway.

To use the SMG-B 8-port analog gateway, you need an external power supply. Insert it to the power interface of the SMG-8B series analog gateway and power it on with 100~240V AC. See the figure below:

Figure 2‑2 SMG-B Power Connection

Step 5: Log in the gateway.

Enter the original IP address (192.168.1.101) of the SMG-B analog gateway in the browser to go to the WEB interface of the gateway. The original username and password of the gateway are both ‘admin’. For detailed instructions about login, refer to 3.1 System Login . We suggest you change the initial username and password via ‘System Tools à Change Password’ on the WEB interface as soon as possible after your first login. For detailed instructions about changing the password, refer to 3.9.16 Change Password . After changing the password, you are required to log in again.

Step 6: Modify IP address of the gateway.

You can modify the IP address of the gateway via ‘System Tools à Network’ on the WEB interface to put it within your company’s LAN. Refer to 3.9.3 Network for detailed instructions about IP modification. After changing the IP address, you shall log in the gateway again using your new IP address.

Step 7: Make phone calls.

Note: For your easy understanding and manipulation, all examples given in this step do not involve registration, that is, SIP initiates calls in a point-to-point mode.

Situation 1: Call from a station to another (TelàTel)

The gateway allows two FXS ports to call each other by default. Just use a station connected with an FXS port to dial the number of the destination FXS port and you can make a TelàTel call. The default number of an FXS port is 80XX, among which XX represents the corresponding port number. For example, the default number corresponding to Port 1 is 8001, and that corresponding to Port 8 is 8008.

Actually a TelàTel call on the gateway is accomplished via the routing of TelàIPàIPàTel. For detailed introductions and configuration guide, refer to Q2 in Appendix B.

Situation 2: Call from a station to an IP phone (TelàIP)

1. Go to ‘Advanced Settings à Dialing Rule’ on the WEB interface and click the ‘Add New’ button to add a new dialing rule. Refer to 3.5.9 Dialing Rule for detailed instructions. Enter either a particular number or a string of ‘x’s to represent several random numbers. For example, ‘xxx’ denotes 3 random numbers. You may use the default value of ‘Index’ and are required not to leave ‘Description’ empty.

Example: Set Index to 99, fill in Description with test and configure Dial Rule to 123.

2. Go to ‘Port Settings à Port Group’ on the WEB interface and click the ‘Add New’ button to create a new port group and add FXS ports which are connected with stations to it. Refer to 3.6.4 Port Group for detailed instructions. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the FXS port which is connected with a station is Port1, check the checkbox before Port1, set Index to 1, fill in Description with test, and keep the default values of other configuration items.

3. Go to ‘Route Settings à TelàIP’ on the WEB interface and click the ‘Add New’ button to add a new routing rule. Refer to 3.7.3 TelàIP for detailed instructions. Select the port group created in Step2 as ‘Source Port Group’ and fill in ‘Destination IP’ and ‘Destination Port’ with the IP address and the Port number you plan to call. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the remote IP address intended to call is 192.168.0.111 and the port is 5060. Set Index to 63, Source Port Group to 1, fill in Description with test, configure Destination IP to 192.168.0.111, Destination Port to 5060, and keep the default values of other configuration items.

4. Pick up the station and dial the number set in Step1 to ring the remote IP phone. If you have set a particular number in Step 1, only this number you can dial; if you have set a string of ‘x’s, how many ‘x’s there are, how many random numbers you can dial.

Example: Pick up the station and dial 123. Then the IP phone with the IP address 192.168.0.111 and the port 5060 will ring.

Situation 3: Call from an IP phone to a station (IP àTel)

1. Go to ‘Port Settings à Port Group’ on the WEB interface and click the ‘Add New’ button to create a new port group and add FXS ports which are connected with stations to it. Refer to 3.6.4 Port Group for detailed instructions. You may use the default values of other configuration items and are required not to leave ‘Description’ empty.

Example: Provided the FXS port which is connected with a station is Port1, check the checkbox before Port1, set Index to 1, fill in Description with test, and keep the default values of other configuration items.

2. Go to ‘Route Settings à IPàTel’ on the WEB interface and click the ‘Add New’ button to add a new routing rule. Refer to 3.7.2 IPàTel for detailed instructions. Fill in ‘Source IP’ with the IP address which initiates the call and select the port group created in Step1 as ‘Destination Port Group’. You may use the default values of other configuration items and required not to leave ‘Description’ empty.

Example: Provided the IP address of the IP phone which initiates the call is 192.168.0.111. Set Index to 63, Destination Port Group to 1, fill in Description with test, configure Source IP to 192.168.0.111, and keep the default values of other configuration items.

3. Pick up the IP phone and call the IP address and port of the SMG-B analog gateway to ring the station.

Example: Provided the IP address of the SMG-B analog gateway is 192.168.0.101 and the port is 5060, use the IP phone to call the IP address 192.168.0.101 and the station connected with Port1 will ring.

Step 8: Enable the auto dial feature. (Skip this step if not necessary.)

Go to the Port Settings interface to enable the auto dial feature and set the parameters ‘Auto Dial Number’ and ‘Wait Time before Auto Dial’. If there is no dialing operation in a time period (i.e. Wait Time before Auto Dial) after pickup, the port will automatically call the preset number (i.e. Auto Dial Number). Refer to 3.6.1 FXS for detailed instructions.

Step 9: Enable the DND (do not disturb) feature. (Skip this step if not necessary.)

Go to the Port Settings interface to enable the DND feature. Then, the FXS port will reject all incoming calls. Refer to 3.6.1 FXS for detailed instructions.

Step 10: Enable the call waiting feature. (Skip this step if not necessary.)

Go to the Port Settings interface to enable the call waiting feature. Then the corresponding FXS port while in conversation can accept another call from IP and keep it in the waiting state. Once the current conversation is finished and the station hangs up, the call in the waiting state will ring the station and wait for answer. During the time in the waiting state, it will always hear the ringback tone from the FXS port. Refer to 3.6.1 FXS for detailed instructions.

Step 11: Perform call forwarding. (Skip this step if not necessary.)

Situation 1: Hook-flash operation

Figure 2‑3 Call Forward via Hook-flash

As shown above, Remote A initiates and establishes a call with Station. Then by a hook-flash operation, that is, a rapid clap on the hook or pressing the ‘flash’ button on the phone set, Station can forward the call to Remote B.

Once a flash is generated, Station will go into the dialing state (the FXS port sends it dialing tones) before it dials the forwarding number.

If the dialing succeeds, the FXS port will send ringback tones to Station. Provided Remote B picks up the call, at this time Station can:

a) Directly talk with Remote B;

b) Perform another hook-flash operation to switch the call to either Remote A or Remote B.

c) Hang up to make Remote A and Remote B go into a direct talk with each other.

If the dialing fails, the FXS port will send busy tones to Station. At this time Station can:

a) Hang up to go back to the ringing state; then pick up the call again to recover the talk with Remote A.

b) Perform the hook-flash operation again without hanging up the call to recover the talk with Remote A.

Once Station recovers the call with Remote A, it can forward the call again by a new hook-flash operation.

Situation 2: Automatic call forward

Go to the port setting interface to enable the automatic call forward feature and fill in a forward number. According to what you set, the SMG-B analog gateway can automatically forward the incoming calls on three conditions: unconditional, busy, no reply. Note that this feature is applicable only to a single port, but not to a port group consisting of more than one port. Refer to 3.6.1 FXS for detailed instructions.

Special Instructions:

l As the device will gradually heat up while being used, please maintain good ventilation to prevent sudden failure, ensuring that the ventilation holes are never jammed.

l During runtime, if the alarm indicator lights up or flashes, it indicates that the device goes abnormal. If you cannot figure out and solve the problem by yourself, please contact our technicians for help. Otherwise it may lead to a drop in performance or unexpected errors.


Chapter 3 WEB Configuration


3.1 System Login

Type the IP address into the browser and enter the login interface. See Figure 3‑1.

Figure 3‑1 Login Interface

The gateway only serves one user, whose original username and password are both ‘admin’. You can change the username and the password via ‘System Tools à Change Password’ on the WEB interface. For detailed instructions, refer to 3.9.16 Change Password .

After login, you can see the main interface as below.

Figure 3‑2 Main Interface


3.2 Operation Info

Operation Info includes four parts: System Info, Channel State, Call Count and SIP Message Count, showing the current running status of the gateway. See Figure 3‑3.

Figure 3‑3 Operation Info


3.2.1 System Info

Figure 3‑4 System Info Interface

See Figure 3‑4 for the system info interface. You can click Refresh to obtain the latest system information. The table below explains the items shown in Figure 3‑4.

Item | Description
MAC Address | MAC address of LAN.
IP Address | The three parameters from left to right are IP address, subnet mask and default gateway of LAN.
DNS Server | DNS server address of LAN.
Receive Packets | The amount of receive packets after the gateway’s startup, including three options: All, Error and Drop.
Transmit Packets | The amount of transmit packets after the gateway’s startup, including three options: All, Error and Drop.
Current Speed | Show the current speed of data receiving and transmitting.
Work Mode | Show the work mode of the network, including four modes: 10 Mbps Half Duplex, 10 Mbps Full Duplex, 100 Mbps Half Duplex, 100 Mbps Full Duplex.
Runtime | Time of the gateway keeping running normally after startup, which will be automatically updated.
WEB | Current version of the WEB interface.
Gateway | Current version of the gateway service.
Serial Num | Unique serial number of an SMG-B analog gateway.
U-boot | Current version of Uboot.
Kernel | Current version of the system kernel on the gateway.
Product Type | The type of current analog gateway.


3.2.2 Channel State

Figure 3‑5 Channel State Interface

See Figure 3‑5 for the channel state interface where shows the channel type, the voltage and the channel state for each channel on the gateway. The table below explains the items shown in Figure 3‑5.

Item

Description

Channel

Channel number on the device.

Type

Type of the channel on the device. If this item shows ---, it means this channel is unavailable, that is, the corresponding module to this channel is not inserted or damaged.

Number

The number corresponding to the port.

Voltage

Line voltage on the channel, calculated by volt (V).

State

Displays the channel state in real time. You can move the mouse onto the channel state icon for detailed state information.

State | Icon | Description
Idle |  | The channel is available.
Off-hook |  | The channel picks up the call.
Wait Answer |  | The channel receives the ringback tone and is waiting for the called party to pick up the phone.
Ringing |  | The channel is in the ringing state.
Talking |  | The channel is in a conversation.
Dialing |  | The channel is dialing.
Pending |  | The channel is in the pending state.
Internal State |  | Internal state of the channel.
Unusable |  | The channel is unavailable.

Direction

Displays the direction of the call on channel.

CallerID

Displays the CallerID of the call on channel.

CalleeID

Displays the CalleeID of the call on channel.

Reg Status

Displays the registration status of the port.

Polarity Reversal Count

The counts of the polarity reversal detected by the FXO port.


3.2.3 Call Count

Figure 3‑6 Call Count Interface

See Figure 3‑6 for the call count Interface. The above list shows the detailed information about all the calls counted from the startup of the gateway service to the latest open or refresh of this interface. You can click Refresh to obtain the current call count information. The table below explains the items shown in Figure 3‑6.

Item | Description
Call Direction | A condition for call count, two options available: IP àTel and Tel àIP.
Total Calls | Total number of calls in a specified call direction.
Successful Calls | Total number of successful calls in conversation.
Busy | Total number of calls which fail as the called party has been occupied and replies a busy message.
No Answer | Total number of calls which fail as the called party does not pick up the call in a long time or the calling party hangs up the call before the called party picks it up.
Call Forward | Total number of calls which have been forwarded.
Routing Failure | Total number of calls which fail because no routing rules are matched.
Dialing Failure | Total number of calls which fail as the called party number does not conform to the dialing rule or due to dialing timeout.
Unknown Failure | Total number of calls which fail due to unknown reasons.


3.2.4 SIP Message Count

Figure 3‑7 SIP Message Count Interface

See Figure 3‑7 for the SIP Message Count interface. This is used to record the amount of the normal SIP messages that are sent/received or repeatedly sent/received during the period from the startup of the gateway service to the latest open or refresh of the interface. Click Refresh to refresh the count of SIP messages, or click Clear to clear the current count of SIP messages.


3.3 Quick Config

Figure 3‑8 Quick Config Interface

See Figure 3‑8 for the Quick Config interface. Follow the gateway Quick Configuration wizard and you can easily complete the settings on network, SIP and FXS/FXO. The gateway can work normally after configuration.

See Figure 3‑9 for the Quick Config-Network Settings interface. Refer to 3.9.3 Network for detailed settings. After configuration, click Next to enter the SIP Settings interface.

Figure 3‑9 Quick Config-Network Settings Interface

See Figure 3‑10 for the Quick Config-SIP Settings interface. The configuration items on this interface are the same as those on the SIP interface. Refer to 3.4.1 SIP for detailed settings. You are required to fill with the information about the registrar if the gateway must be registered. After configuration, click Back to go back to the Network Settings interface; click Next to enter the FXS Settings interface.

Figure 3‑10 Quick Config-SIP Settings Interface

See Figure 3‑11 for the FXS Settings interface. The configuration items on this interface are the same as those on the FXS interface. Refer to 3.6.1 FXS for detailed settings. After configuration, click Back to go back to the SIP Settings interface; click Next to enter the FXO Settings interface.

Figure 3‑11 FXS Settings Interface

See Figure 3‑12 for the FXO Settings Interface. The configuration items on this interface are the same as those on the FXO interface. Refer to 3.6.2 FXO for detailed settings. After configuration, click Back to back to the FXS Settings interface; click Next to enter the Quick Config-Completion interface. See Figure 3‑13.

Figure 3‑12 FXO Settings Interface

Figure 3‑13 Quick Config-Completion Interface

Click Back to go back to the FXS Settings interface; click Finish to finish the Quick Config wizard and now the gateway can work normally with basic configuration.


3.4 VoIP Settings

VoIP Settings includes six parts: SIP, SIP Compatibility, SIP Station, SIP Server, NAT Setting and Media. See Figure 3‑14. SIP Settings is used to configure the general SIP parameters, SIP Compatibility is used to set which SIP servers and SIP messages will the gateway be compatible with, SIP Station is to set the basic information of the SIP station, SIP Server is to set the basic information of the SIP server, NAT Setting is used to configure the parameters for NAT, and Media Settings is to set the RTP port and the payload type.

Figure 3‑14 VoIP Settings


3.4.1 SIP

Figure 3‑15 SIP Settings Interface

See Figure 3‑15 for the SIP settings interface where you can configure the general SIP parameters. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions. The table below explains the items shown in Figure 3‑15.

Item | Description
SIP Address | IP address of SIP signaling, using LAN 1 by default.
SIP Port | Monitoring port of SIP signaling. The value range of it must be grater than 1024 and less than 65535, with the default value of 5060.
Register Status | Registration status of the gateway. When Register Gateway is set to No, the value of this item is Unregistered; when Register Gateway is set to Yes, the value of this item is either Failed or Registered.
Register Gateway | Sets whether to register the gateway as a whole. The default value is No. Only when this configuration is set to Yes can you see the configuration items SIP Account and Password.
SIP Account | When the gateway initiates a call to SIP, this item corresponds to the username of SIP.
Password | Registration password of the gateway. To register the gateway to SIP, both configuration items SIP Account and Password should be filled in.
Authentication Username | Authentication username for registration.
Registrar IP Address | Address of the registry server for the gateway to register.
Registrar Port | Signaling port of the registry server.
Spare Registrar Server | Check the enable checkbox to enable the spare registrar server. By default, it is disabled.
Spare Registrar IP Address | Address of the spare registry server for the gateway to register. The gateway will enable the spare registrar server if the master registrar server has no reply, or the master server is detected with no response in case the item Detection Server Cycle is enabled.
Spare Registrar Port | Signaling port of the spare registry server.
Registry Validity Period | Validity period of the SIP registry. Once the registry is overdue, the gateway should be registered again. This configuration item is valid only when Register Gateway is set to Yes. Range of value: 10~3600, calculated by s, with the default value of 600.
Multi-Registrar Server Mode | Tick the checkbox before to enable the multi-registrar server mode. By default, it is disabled.
SIP Transport Protocol | There are two modes UDP and TCP available for running the SIP protocol. The default value is UDP.
Switch Signal Port if SIP Registration Failed | If the SIP registration fails, the SIP signaling port N will switch to N+1 for a new registration. It will continue until the registration succeeds. The default value is disabled.
IMS Network | Once this feature is enabled, the gateway will send signaling messages to the corresponding externally bound address and port when it registers to the server. By default, this feature is disabled. Only when this feature is enabled will these items Externally Bound Address, Externally Bound Port and Authentication Username be shown.
Externally Bound Address | Externally bound IP address for registration.
Externally Bound Port | Externally bound port for registration.


3.4.2 SIP Compatibility

See Figure 3‑16 for the SIP Compatibility interface where you can configure the SIP parameters to determine which SIP servers and SIP messages will the gateway be compatible with. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations.

Figure 3‑16 SIP Compatibility Setting Interface

The table below explains the items shown in Figure 3‑16.

Item | Description
Obtain CalleeID from | There are two optional ways to obtain the called party number: from “To” Field and from “Request” Field. The default value is “Request” Field.
Set CallerID Position | There are two options to set the position of the calling party number: “Displayname of From Field” and “Username of From Field”. The default value is “Username of From Field”.
Obtain CallerID from | There are two optional ways to obtain the calling party number: from “Displayname of From Field” and from “Username of From Field”. The default value is “Username of From Field”.
Use Contact Address | Sets whether to send the request message according to the content of Contact, with the default setting of disabled. As it is disabled, if the Contact field indicates an IP address within the LAN, the request message will be sent according to the source address; if the Contact field indicates an IP address belonging to the WAN, the request message will be sent according to this IP address.
Call Transfer Mode | There are two optional ways to deal with call transfer: Internal Handling and Platform to Handle SIP Info. The default value is Internal Handling.
Internal Handle | Sets the internal handle mode for the call transfer, including two options: Match Port Number and Search Idle FXO Channel. The default value is Match Port Number.
Call Flash Mode | There are two optional ways to deal with call flash: Internal Handling and Platform to Handle SIP Info. The default value is Internal Handling.
Hold Music Source | Sets the source of the hold music, with the default value of Remote, This feature gets valid only when you choose the mode Platform to Handle SIP Info.
Two Stage Dialing for SIP Incoming Call | Once this feature is enabled, the incoming call from SIP should perform the two stage dialing operation. By default this feature is disabled.
Maximum Wait Answer Time | Sets the maximum time for the SIP channel to wait for the answer from the called party of the outgoing call it initiates. If the call is not answered within the specified time period, it will be canceled by the channel automatically. The default value is 60, calculated by s.
SIP Station Supported | Once this feature is enabled, a SIP terminal can be registered to the gateway and becomes a SIP station. By default this feature is disabled.
Set SIP Identifying | Sets the SIP identifying content in the SIP call message. The default setting is Gateway.
Maximum Wait RTP Time | Sets the maximum time for the SIP channel to wait for the RTP packet. If no RTP packet is received within the specified time period, the channel will enter the pending state automatically and release the call. The default value is 15, calculated by s.
Call Abnormal Hangup Detection | Sets the interval between checks of the remote end’s abnormal hangup, with the default value of 0 (feature disabled), calculated by s. It is suggested to set to 10s if this feature is necessary to be used.
Server Status Detection Cycle | The interval of sending a heartbeat packet to detect the master registrar server status, with the default value of 0 (feature disabled), calculated by s. It is suggested to set to 15s if this feature is necessary to be used.
Send Cue Tone | Sets whether to send a cue tone once the server gets disconnected, with the default setting of disabled.
SIP Encryption | Once this feature is enabled, you can encrypt the SIP signal following selecting an encryption criterion and setting a key. By default it is disabled.
Encryption Criterion | The criterion used to encrypt the SIP signal. At present only VOS1.1 is supported.
Identifier | The identifier field of the VOS encryption, which is used to obtain the key of the SIP encryption.
Key | The key to encrypt the SIP signal.
RTP Encryption | Once this feature is enabled, you can encrypt the RTP package. By default it is disabled.
Ignore ACK | Once this feature is enabled, the gateway is not necessary to wait for the ACK message after sending the 200OK message to establish a call. By default it is disabled.
User-defined SIP Code | Once this feature is enabled, you can define a SIP code for the corresponding SIP status, with the default value of disabled.
Use Iptables | Once this feature is enabled, only the calls from the SIP registration server, the source IP address of the route IP->TEL and these IP addressed set in Access Control interface are permitted.


3.4.3 SIP Station

A SIP terminal can be registered to the gateway and becomes a SIP station. Enable the feature of ‘SIP Station Supported’ on 3.4.2 SIP Compatibility , and you will see the item SIP Station on the VoIP Settings menu. Click ‘SIP Station’ to go into the SIP Station interface. By default, there is no available SIP station. See Figure 3‑17 below.

Figure 3‑17 SIP Station Setting Interface

Click Add New to add SIP stations manually. See Figure 3‑18. You can configure basic SIP station information on this interface. The bound port to a SIP station must be an FXO port and unique. The username must be the same as that used to register the SIP terminal to the gateway.

Figure 3‑18 Add New SIP Station

The table below explains the items shown above:

Item | Description
Number | The logical number for a SIP station to register to the gateway.
Username | The username used to register a SIP station to the gateway.
Password | The password used to register a SIP station to the gateway.
Bound Port | The FXO port which is bound to the SIP station.
Description | It is user-defined, with the default value of default.
Batch Setting | Used to set multiple SIP stations at the same time.

After configuration, click Save to save the above settings into the gateway or click Close to cancel the settings. See Figure 3‑19 for the applied SIP station information.

Figure 3‑19 SIP Station Interface

Click Modify in the above figure to modify the configuration of the SIP station. See Figure 3‑20. The configuration items on this interface are the same as those on the Add New SIP Station interface.

Figure 3‑20 SIP Station Modification Interface

To delete a SIP station, check the checkbox before the corresponding index in Figure 3‑19 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all SIP stations at a time, click the Clear All button in Figure 3‑19.


3.4.4 SIP Server

The gateway supports the multi-registrar server feature. Enable the feature of ‘Multi-Registrar Server Mode’ on the SIP interface (see 3.4.1 SIP) and you will see the item SIP Server under the VoIP Settings menu. Click ‘SIP Server’ to go into the SIP Server interface. By default, there is no available SIP server. See Figure 3‑21 below.

Figure 3‑21 SIP Server Interface

Click Add New to add SIP servers manually. See Figure 3‑22. You can configure basic SIP server information on this interface.

Figure 3‑22 Add New SIP Server

All the items except Index and Description are the same as those on the SIP interface (3.4.1 SIP).

Item | Description
Index | The index of each SIP server. The gateway supports up to 8 SIP servers.
Description | More information about each SIP server, with the default value of default.

After configuration, click Save to save the above settings into the gateway or click Cancel to cancel the settings. See Figure 3‑23 for the SIP server management interface.

Figure 3‑23 SIP Server Management

Click Modify in the above figure to modify the configuration of the SIP server. See Figure 3‑24.

The configuration items on this interface are the same as those on the Add New SIP Server interface.

Figure 3‑24 SIP Server Modification Interface

To delete a SIP server, check the checkbox before the corresponding index in Figure 3‑23 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all SIP servers at a time, click the Clear All button in Figure 3‑23.


3.4.5 NAT Setting

See Figure 3‑25 for the NAT setting interface where you can configure the parameters for NAT. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations.

Figure 3‑25 NAT Setting Interface

The table below explains the items shown in Figure 3‑25.

Item | Description
Auto Nat | Sets whether to enable the Auto Nat feature. Three options are available: DisableAutoNat, Enable PMP and Enable UPNP, with the default value of Auto Nat.
Outer Network Address | The address of the outer network acquired automatically once the PMP or UPNP feature is enabled.
STUN Server | Sets whether to enable the STUN server for NAT traversal. By default the STUN server is disabled.
NAT Type | Detected NAT (Network Address Translation) type. The gateway will return the NAT type automatically in case STUN Server is enabled. It includes 9 types: unknown; no NAT; ConeNat; RestrictedNat; PortRestrictedNat; Symmetric NAT; Symmetric NAT with firewall; can’t detect over (fail to send detect message) and fail to detect (No reply from the stun server).
STUN Server Address | Address of the server for STUN traversal.
Mapping Contact IP | The IP filled in here will be used in the Contact field of the SIP message.
Mapping SDP IP | The IP filled in here will be used in the SDP field of the SIP message.
Rport | When this feature is enabled, a corresponding Rport field will be added to the Via message of SIP. The default value is enabled.
Auto Detect NAT IP | When this feature is enabled, the gateway will parse the corresponding address and port in the message returned by Rport so as to use them for the following communication. By default, this feature is disabled. Note: This feature gets valid only when Rport is enabled.
RTP Self-adaption | When this feature is enabled, the RTP reception address or port carried by the signaling message from the remote end, if not consistent with the actual state, will be updated to the actual RTP reception address or port. By default, this feature is disabled.


3.4.6 Media

Figure 3‑26 Media Settings Interface

See Figure 3‑26 for the media settings interface where you can configure the RTP port and payload type depending on your requirements. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions. The table below explains the items shown in Figure 3‑26.

Item

Description

DTMF Transmit Mode

Sets the transmit mode for the IP channel to send DTMF signals. The optional values are RFC2833, In-band and Signaling, with the default value of RFC2833.

RFC2833 Payload

Payload of the RFC2833 formatted DTMF signals on the IP channel. Range of value: 90~127, with the default value of 101.

RTP Port Range

Supported RTP port range for the IP end to establish a call conversation, with the lower limit of 10000 and the upper limit of 60000 and the difference between larger than 480. The default value is 50000-50767.

Silence Suppression

Sets whether to send comfort noise packets to replace RTP packets or never to send RTP packets to reduce the bandwidth usage when there is no voice signal throughout an IP conversation. The optional values are Enable and Disable, with the default value of Disable.

JitterMode

Sets the mode for the Jitter buffer. The optional mode is Static Mode and Adaptive Mode, with the default value of Static Mode.

JitterBuffer

Acceptable jitter for data packets transmission over IP, which indicates the buffering capacity. A larger JitterBuffer means a higher jitter processing capability but as well as an increased voice delay, while a smaller JitterBuffer means a lower jitter processing capability but as well as a decreased voice delay. Range of value: 20~200, calculated by ms, with the default value of 20.

Note: This is only valid if the Jitter Mode is set to Static Mode.

Voice Gain Output from IP

Adjusts the gain of the voice output from IP. Range of value: -24~12, calculated by dB, with the default value of 0.

AGC

If the AGC (Automatic Gain Control) feature is enabled, the gateway will automatically adjust the input signal amplitude, increasing that of small signals and decreasing that of large signals.

Target Energy Threshold

Set the target energy of the AGC, range of value: -50~0, calculated by dB, with the default value of 0.

Maximum Gain Threshold

Set the maximum gain threshold that will be applied to the signal. Range of value: 0~48, calculated by dB, with the default value of 48.

Maximum Attenuation Threshold

Set the maximum attenuation that will be applied to the signal. Range of value: -42~0, calculated by dB, with the default value of 0.

Minimum Input Energy

Set the minimum threshold for the energy processed by AGC. Signals below this threshold will not be processed by AGC. Range of value: -60~ -25, calculated by dB, with the default value of -60.

CODEC Priority

Supported CODECs and their corresponding priority for the IP end to establish a call conversation. The table below explains the sub-items:

Sub-item | Description
Priority | Priority for choosing the CODEC in an SIP conversation. The smaller the value is, the higher the priority will be.
CODEC | Three optional CODECs are supported: G711A, G711U, G729A/B, G723, G722, AMR and iLBC.
Packing Time | Time interval for packing an RTP packet, calculated by ms.
Bit Rate | The number of thousand bits (excluding the packet header) that are conveyed per second.

By default, all of the seven CODECs are supported and ordered G711A, G711U, G729A/B, G723, G722, AMR and iLBC by priority from high to low.

The packing time and bit rate supported by different CODECs are listed in the table below. Those values in bold face are the default values.

COEDC | Packing Time (ms) | Bit Rate (kbps)
G711A | 10 / 20 / 30 / 40 / 60 | 64
G711U | 10 / 20 / 30 / 40 / 60 | 64
G729A/B | 10 / 20 / 30 / 40 / 60 | 8
G723 | 30 / 60 | 5.3 / 6.3
G722 | 10 / 20 / 30 / 40 | 64
AMR | 20 / 40 / 60 | 4.75
iLBC | 30 / 60 | 13.3 / 15.2


3.5 Advanced Settings

Advanced Settings includes fourteen parts: FXS, FXO, Tone Detector, Tone Generator, DTMF, Ringing Scheme, Fax, Function Key, Dialing Rule, Dialing Timeout, Cue Tone, Color Ring, QoS and Action URL. See Figure 3‑27. FXS is used to configure the general properties of the FXS port; FXO is used to configure the general properties of the FXO port; Tone Detector is used to configure some properties of detected tones; Tone Detector is used to configure some properties of tones sent from gateway; DTMF is used to set the properties related to DTMF; Ringing Scheme is used to set the ringing scheme for the FXS port; Fax is used to configure multiple fax parameters; Function Key is used to set a cluster of combination keys for you to query a related number; Dialing Rule and Dialing Timeout are used to set the judging conditions for dialing; Cue Tone is used to set the gateway language for playing voice and the voice file used for the two-stage dialing; Color Ring is used to upload the color ring file which can be set as a ringback tone for an incoming call from IP to FXS port; QoS uses the differentiated services technology to increase the gateway’s service quality. Action URL is used to designate the server path to report the on-hook or off-hook state of the FXS channel.

Figure 3‑27 Advanced Settings


3.5.1 FXS

Figure 3‑28 FXS Configuration Interface

See Figure 3‑28 for the FXS configuration interface. The table below explains the items shown in the above figure.

Item | Description
Hook-flash Detection | Sets whether to enable the hook-flash detection feature or not, with the default setting of being disabled.
Minimum Time | Time length for judging a flash operation. Only a hook-flash operation which lasts a time more than the value of this configuration item will be regarded as a valid flash operation. Range of value: 80~ Maximum Time, calculated by ms, with the default value of 80.
Maximum Time | Time length for judging a flash operation. Only a hook-flash operation which lasts a time less than the value of this configuration item will be regarded as a valid flash operation. Those lasting a time longer than the value of this configuration item will be regarded as hangup operations. Range of value: 32~2000, calculated by ms, with the default value of 700.
Minimum Time Length of On-hook Detection | The minimum time length for detecting whether the phone is on-hook or not. Range of value: 64~2000, calculated by ms, with the default value of 64. Note: This item is valid only when the item Hook-flash Detection is disabled.
CID Transmit Mode | The mode adopted by the FXS port to send the CallerID. The optional values are FSK and DTMF, with the default value of FSK.
Occasion to Send FSK CallerID | Sets when to send the CallerID, before rings or after the 1st Ring. The default value is after 1st Ring.
Send Polarity Reversal Signal | Once this feature is enabled, the gateway will send the polarity reversal signal to a corresponding FXS channel when it detects the called party pick-up behavior. By default, this feature is disabled.
Handling of Call from Internal Station | Sets the handling mode for the calls from station to station, two options available: Internal Handling and Platform Handling, with the default value of Platform Handling.
Light Up Mode for Voice Message | Sets the light up mode for the voice message of the phone, There are two options: Not Light Up and Light Up by FSK, with the default value of Not Light Up.
Work Mode | Sets the work mode for the echo canceller. There are two options: Near-end cancellation and Both near-end and far-end cancellation, with the default value of Near-end cancellation.
Non-linear Processing | Sets whether to enable the mode of non-linear processing. By default, this feature is enabled.
Fixed Window Size | Sets the size of the window for the fixed cancellation.
Moving Window Size | Sets the size of the window for the moving cancellation.

After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions.


3.5.2 FXO

Figure 3‑29 FXO Configuration Interface

The table below explains the particular configuration items for FXO.

Item | Description
Calling Party Detection Time | The maximum waiting time for the detection of the calling party number from FXO port. Range of value: 1~20, calculated by s, with the default value of 10.
Silence Detection | Used to detect whether the line is silent or not according to the energy threshold and time threshold of silence. FXO will hang up the call automatically if these conditions are satisfied. The default setting is being disabled.
Energy Threshold of Silence | The energy threshold to judge whether the line is silent or not. The signal with the energy less than this set value will be determined to be silence. Range of value: -86~6, calculated by s, with the default value of -30. Note: This item will be valid only when Silence Detection is enabled.
Time Threshold of Silence | The time threshold to judge whether the line is silent or not, calculated by s, with the default value of 60. Note: This item will be valid only when Silence Detection is enabled.
Time Threshold to Avoid On-line Voice Dithering | Once this feature is enabled, the on-line voice will be determined to be dithering if the voice duration is less than the set value here. Range of value: 24~1000, calculated by ms, with the default value of 48,
Rapid Release | Once this feature is enabled, the FXO port will release the source rapidly and go to the idle state when a call from PSTN to soft-terminal via FXO port is rejected by the IP soft-terminal.
FSK Standard | Standard for sending FSK formatted CallerID, which varies in different countries and districts. The optional values are: ETSI (Europe), GR-30 (North America, China) and NIT (Japan), with the default value of GR-30.
FSK Detection Parameters | Sets the configuration mode of the FSK parameters, two options available: Default and Manual, with the default value of Default. In the Default mode, the FSK parameters use default values and cannot be modified. To modify the parameters, please select the Manual mode.
Minimum Energy Threshold for FSK Detection | Sets the minimum energy threshold for the FSK detection. Range of value: -1125~0, calculated by 0.1dB, with the default value of -380.
Minimum Number of FSK Seizure Bits | The FSK seizure bits (0x55) under the on-hook mode. As the protocol provides, it shall be 300 consecutive bit groups of 0 and 1. Range of value: 0~32768, with the default value of 100.
Minimum Number of FSK Mark Bits on on-hook | The number of FSK marking signals (0xFF) under the on-hook mode. As the protocol provides, it shall be 180 consecutive bits of 1. Range of value: 0~32768, with the default value of 40.
Minimum Number of FSK Mark Bits on off-hook | The numbers of FSK marking signals (0xFF) under the off-hook mode. As the protocol provides, it shall be 80 consecutive bits of 1. Range of value: 0~32768, with the default value of 50.
Reception Interval of DTMF CallerID | The time interval between digits of the DTMF CallerID from FXO port, calculated by ms, with the default value of 250.
Delay for Two Stages Dialing | If the feature of two-stages dialing mode is enabled and an incoming call occurs, the FXO port will have a delay set by this configuration item before going into the two-stages dialing process,
Flash Time | Sets the time for generating a flash signal on the analog trunk. Range of value: 32~1000, calculated by ms, with the default value of 100.
Delay after Dial | Sets the delay to send the CalleeID to PBX after you pick up and dial. Range of value: 200~2000, calculated by ms, with the default value of 1000.
FXO Pick-up Delay after INVITE Received at IP Side | Once this feature is enabled, the FXO port will be delayed to pick up the call after the IP side receives the INVITE message.
Maximum Wait Answer Time | The maximum time to wait the answer of the remote side for an outgoing call from FXO port. This item is valid only when Polarity Reversal is enabled. It is calculated by s, with the default value of 60.
Communication without Network | Automatically routes a call to the proper port according to the configuration in case of network failure or call timeout. The default value is enabled.
Communicate without Network Mode | Sets the mode for the communications without network, two options available: Auto Search Idle Channel and Use Current Route Setting, with the default value of Auto Search Idle Channel. In the mode of Auto Search Idle Channel, the gateway will search an idle FXO port to route the call once the network is disconnected; in the mode of Use Current Route Setting, the gateway will search an escaping channel according to the settings of Tel->IP route.
Two Stages Dialing Mode | Sets whether it is necessary to perform the two-stages dialing operation to call the remote end via an FXO port. By default this feature is disabled.
Delay to Send 200 OK to IP Side | Once this feature is enabled, the gateway will delay to send 200 OK message to the IP side. The default value is disabled.
Open Session In Advance | Once this feature is enabled, the gateway will reply the 183 message when the FXO port is making an outgoing call; otherwise, it will reply the 180 message. This item is valid only when Polarity Reversal is enabled. The default value is enabled.
Avoid Being Detected as Flash Signal by PBX | Once this feature is enabled, after hanging up a call, the FXO channel will be compelled to stay idle for a while before making a new call outside, which helps avoid the pick-up signal being detected as a flash signal by the PBX. The default value is disabled.
Work Mode | Sets the work mode for the echo canceller. There are two options: Near-end cancellation and Both near-end and far-end cancellation, with the default value of Near-end cancellation.
Non-linear Processing | Sets whether to enable the mode of non-linear processing. By default, this feature is enabled.
Fixed Window Size | Sets the size of the window for the fixed cancellation.
Moving Window Size | Sets the size of the window for the moving cancellation.
Select Area for Module Parameters | Select an area for hardware parameters of the FXO chip.

After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions.


3.5.3 Tone Detector

Figure 3‑30 Tone Parameters Setting Interface

See Figure 3‑30 for the Tone Parameters setting interface. At most three pieces of tone parameters are allowed to set. By default, there are already three pieces of tone parameters on the gateway which you can modify or delete according to your actual requirement.

Click Modify in Figure 3‑30 to modify the tone parameter. See Figure 3‑31 for the tone parameter modification interface.

Figure 3‑31 Modify Tone Parameter

The table below explains the items shown in the above figure.

Item | Description
Index | The unique index of each group of tone detectors.
Tone | There are three options: Dial Tone, Busy Tone and Ringback Tone.
Type | There are two options: Continuous Tone and Periodic Tone.
The 1st Mid-frequency | The 1st center frequency. Range of value: 300~3400, calculated by Hz. The default value is 450.
The 2nd Mid-frequency | The 2nd center frequency. Range of value: 0 or 300~3400, calculated by Hz. The default value is 0.
Duration at ON State | The duration of tones at on state. The default setting: Dial Tone is 1500ms, Busy Tone is 350ms, Ringback Tone is 1000ms.
Duration at OFF State | The duration of tones at off state. The default setting: Dial Tone is 0ms, Busy Tone is 350ms, Ringback Tone is 4000ms.
Period Count | Sets the count of periods as the condition to determine a periodic tone. The default setting: Dial Tone is 0, Busy Tone is 2, Ringback Tone is 1.
Energy | Sets the energy threshold for the tone detector to detect the on-line tone. To increase the accuracy, you can adjust the value according to the tone volume on the line. Range of value: -18~11, calculated by dB. The default value is 0.

To delete a piece of tone, check the checkbox before the corresponding index in Figure 3‑30 and click the ‘Delete’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all tone at a time, click the Clear All button in Figure 3‑30.


3.5.4 Tone Generator

Figure 3‑32 Tone Generator Setting Interface

See Figure 3‑32 for the Tone Generator Setting interface. By default, there are four tones on it: Dial Tone—a single tone with 450HZ frequency, plays continuously; Ringback Tone—a single tone with 450HZ frequency, repeatedly playing in the method of 1s play and 4s pause; Busy Tone—a single tone with 450HZ frequency, repeatedly playing in the method of 350ms play and 350ms pause. Call Wait Tone—a single tone with 450HZ frequency, repeatedly playing in the method of 200ms play and 600ms pause, then 200ms play and 1s pause. You can configure the tone generator manually. The exact explanation about the format and the meaning is described on the right of the interface. The value range of the tone energy herein above is -18~11, calculated by dB, with the default value of 0.


3.5.5 DTMF

Figure 3‑33 DTMF Detector Configuration Interface

See Figure 3‑33 for the DTMF configuration, including two parts: DTMF Detector and DTMF Generator. The table below explains the items shown in the above figure.

Item | Description
Minimum Energy Threshold | Set the minimum energy threshold of the DTMF signal. Range of value: -96~-1. The default value is -45.
Maximum Threshold of Signal Twist | Set the maximum threshold of the DTMF signal twist. Range of value: 0~12. The default value is 3.
Input Signal Gain | Set the input gain of the DTMF signal. Range of value: -24～24, calculated by dB. The default value is 0.
Voice Path Delay | Once this feature is enabled, the DTMF in the voice data will be clamped, Range of value: 0～20, calculated by ms. The default value is 20.
Minimum Duration at ON | Set the minimum duration at ON for the DTMF signal. Range of value: 10～60, calculated by ms. The default value is 28.
DTMF Display via Channels Status | Once this feature is enabled, the received/sent DTMF will be displayed upon you putting the mouse on the icon of channel status. The default value is disabled.
ABCD Detection | Once this feature is enabled, the gateway can detect the DTMF digits A, B, C and D (Case-insensitive). The default value is disabled.
DTMF Energy | Energy of the DTMF signal sent by the gateway. Range of value: -18~11, calculated by dB, with the default value of 0.
Duration at ON | Set the duration of the DTMF signal at ON state. Range of value: 0~16383, calculated by ms, with the default value of 100.
Duration at OFF | Set the duration of the DTMF signal at OFF state. Range of value: 0~16383, calculated by ms, with the default value of 32.

After configuration, click Save to save your settings into the gateway. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions. Click Reset to restore the configurations.


3.5.6 Ringing Scheme

Figure 3‑34 Ringing Scheme Configuration Interface

See Figure 3‑34 for the Ringing Scheme Configuration interface. The gateway can execute different ringing schemes according to the CallerID or Alert-Info.

The table below explains the items shown in the above figure.

Item

Description

CallerID

The gateway will match the CallerID set in this item to that of the incoming call. If they are matched, the current ringing scheme will be executed; otherwise, the default ringing scheme (1 sec on and 4 sec off) will work.

The rule to fill in the CallerID is the same as that of 3.5.9 Dialing Rule. Multiple CallerIDs are supported; they should be separated by “,”

Alert-Info Value

The gateway will match the alert-info value set in this item to that of the incoming call. If they are matched, the current ringing scheme will be executed; otherwise, the default ringing scheme (1 sec on and 4 sec off) will work..

Ringing Scheme

The ringing scheme can be “1,X,Y” or “2,X,Y,M,N”, in which, the number 1 or 2 denotes one group or two groups; X, M denote the duration at on state while Y, N denote the duration at off state.

Note: The duration at ON or OFF cannot be greater than 12000ms, the total duration at ON and OFF cannot be greater than 16000ms, and N - the last duration at OFF cannot be less than 1800ms if the item “Occasion to Send FSK CallerID” is set to After the first ring.

After configuration, click Save to save the above settings into the gateway or click Reset to restore the configurations.


3.5.7 Fax

Figure 3‑35 Fax Configuration Interface (Disable by default)

See Figure 3‑35 for the default fax mode configuration. The table below explains the items shown in the above figure.

Item | Description
Fax Mode | The real-time IP fax mode. The optional values are T.38, Pass-through and Disable, and the default value is Disable which means to disable both T.38 and Pass-through.

See Figure 3‑36 for the fax configuration under the T.38 mode.

Figure 3‑36 Fax Configuration Interface (T.38 Mode)

Users can configure the general fax parameters via this interface. After configuration, click Save to save your settings into the gateway. If a dialog box pops up after you save your settings asking you to restart the system, do it immediately to apply the changes. Refer to 3.9.17 Restart for detailed instructions. click Reset to restore the configurations. The table below explains the configuration items in Figure 3‑36.

Item | Description
T38 Fax Port | The port for T.38 faxing, providing two options: Use Original Voice Port and Use New Port. The default setting is Use Original Voice Port.
T38 Version | Version of T.38 which is defined by ITU-T.
T38 Negotiation | The Negotiation mode of T.38, providing two options: Initiate Negotiation as Fax Sender and Initiate Negotiation as Fax Receiver. The default value is Initiate Negotiation as Fax Receiver.
Maximum Fax Rate | Sets the maximum faxing rate for both receiving and transmitting. Range of value: 14400, 9600 and 4800, calculated by bps, with the default value of 14400.
Fax Train Mode | Sets the train mode for T.38 fax. The optional values are transferredTCF and localTCF, with the default value of transferredTCF.
Error Correction Mode | Sets the error correction mode for T.38 fax. The optional values are t38UDPRedundancy (Redundancy Error Correction) and t38UDPFEC (Forward Error Correction), with the default value of t38UDPRedundancy.

If you set Fax Mode to Pass-through, you can see the interface shown as Figure 3‑37.

Figure 3‑37 Fax Configuration Interface (Pass-through Mode)

The table below explains the configuration item in the above figure.

Item | Description
Pass-through Payload | RTP Payload under the pass-through fax mode. Range of value: 96~127, with the default value of 102.


3.5.8 Function Key

See Figure 3‑38 for the Function Key Configuration interface. Here you can set a cluster of combination keys to query a related number.

Figure 3‑38 Function Key Configuration Interface

Click “Enable” to enable the corresponding function key. The gateway will use the default function keys when the mode is set to default; and it will allow you to set new function keys when the mode is set to user-defined. Click Save to save your settings into the gateway.

Note: Phone Test is used just to see if the phone can work normally. It requires you to hang up the phone after dialing the corresponding combination keys. Then the gateway will ring the phone. At that time, pick up the phone and you can hear the voice prompt played by the gateway (e.g. ‘Test successful.’)

When the Blind Transfer feature is enabled, set a corresponding function key in the box behind. After you transfer a call by rapidly clapping on the hook switch, dial the set function key for Blind Transfer and then the called party number. After that, hang up the call once hearing the howler tone to let the subsequent call procedure go out of your control.


3.5.9 Dialing Rule

Considering efficiency, it is not acceptable that the gateway reports to the PBX or relevant devices every time it receives a number. Instead, we hope that the gateway can automatically judge the received number to see if it meets the set rule, if it is complete and if it is qualified to make outgoing calls. Therefore, a whole dialing plan, which consists of multiple dialing rules specifying the auto judging conditions, is required. Each dialing rule has a priority, which is used to restrict the sequence and avoid conflict.

Figure 3‑39 Dialing Rule Configuration Interface (Standard)

See Figure 3‑39 for the Dialing Rule Configuration interface under the standard mode. The list in the above figure shows the dialing rules with their priorities and description, which can be added by the Add New button on the bottom right corner. See Figure 3‑40 for the dialing rule adding interface.

Figure 3‑40 Add New Dialing Rule

The table below explains the items shown in Figure 3‑40.

Item

Description

Index

The unique index of each dialing rule, which denotes its priority. A dialing rule with a smaller index value has a higher priority and will be checked earlier while matching.

Description

Remarks for the dialing rule. It can be any information, but can not be left empty.

Dialing Rule

Up to 100 dialing rules can be configured in the gateway, and the maximum length of each dialing rule is 127 characters. See below for the meaning of each character in the dialing rule. The gateway will do instant matching for your dialing number based on the dialing rule and regard your dialing as finished upon receiving ‘#’ or dialing timeout.

Character | Description
“0”~”9” | Digits 0～9.
“A”~”D” | Letters A～D.
“x” | A random number. A string of ‘x’s represents several random numbers. For example, ‘xxx’ denotes 3 random numbers.
“.” | ‘.’ indicates a random amount (including zero) of characters after it.
“[ ]” | ‘[ ]’ is used to define the range for a number. Values within it only can be digits ‘0~9’, punctuations ‘-‘ and ‘,’. For example, [1-3,6,8] indicates any one of the numbers 1, 2, 3, 6, 8.
“-” | ’-’ is used only in ‘[ ]’ between two numbers to indicates any number between these two numbers.
“,” | ’,’ is used to separate numbers or number ranges, representing alternatives.
“*” | Only represents symbol ”*”.
“#” | Only set it at the beginning of the string, representing symbol “#”.

There are 19 dialing rules already configured on the gateway for easy use. See below for detailed information.

Priority | Dialing Rule | Description
99 | . | Any number in any length.
98 | 01[3-5,7-8]xxxxxxxxx. | Any 12-digit number starting with 013, 014, 015, 017 or 018
97 | 010xxxxxxxx | Any 11-digit number starting with 010
96 | 02xxxxxxxxx | Any 11-digit number starting with 02
95 | 0[3-9]xxxxxxxxxx | Any 12-digit number starting with 03, 04, 05, 06, 07, 08 or 09
94 | 120 | Number 120。
93 | 11[0,2-9] | Number 110, 112, 113, 114, 115, 116, 117, 118 or 119
92 | 111xx | Any 5-digit number starting with 111
91 | 123xx | Any 5-digit number starting with 123
90 | 95xxx | Any 5-digit number starting with 95
89 | 100xx | Any 5-digit number starting with 100
88 | 1[3-5,7-8]xxxxxxxxx | Any 11-digit number starting with 13, 14, 15, 17 or 18
87 | [2-3,5-7]xxxxxxx | Any 8-digit number starting with 2, 3, 5, 6 or 7
86 | 8[1-9]xxxxxx | Any 8-digit number starting with 81, 82, 83, 84, 85, 86, 87, 88 or 89
85 | 80[1-9]xxxxx | Any 8-digit number starting with 801, 802, 803, 804, 805,.806, 807, 808 or 809
84 | 800xxxxxxx | Any 10-digit number starting with 800
83 | 4[1-9]xxxxxx | Any 8-digit number starting with 41, 42, 43, 44, 45, 46, 47, 48 or 49.
82 | 40[1-9]xxxxx | Any 8-digit number starting with 401, 402, 403, 404, 405, 406, 407, 408 or 409
81 | 400xxxxxxx | Any 10-digit number starting with 400

After configuration, click Save to save the above settings into the gateway or click Close to cancel the settings.

Click Modify in Figure 3‑39 to modify the dialing rules. See Figure 3‑41 for the dialing rule modification interface. The configuration items on this interface are the same as those on the Add New Dialing Rule interface.

Figure 3‑41 Modify Dialing Rule

To delete a dialing rule, check the checkbox before the corresponding index in Figure 3‑39 and click the ‘Delete’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all dialing rules at a time, click the Clear All button in Figure 3‑39.

See Figure 3‑42 for the Dialing Rule Configuration interface under the Character mode. You can edit the dialing rule list to add a new one or modify an old one. The exact meaning of each rule element is described on the page.

Figure 3‑42 Dialing Rule Configuration Interface (Character)


3.5.10 Dialing Timeout

Figure 3‑43 Dialing Timeout Info Interface

See Figure 3‑43 for the dialing timeout info interface. The table below explains the items shown in the above figure.

Item | Description
Inter Digit Timeout | Sets the largest interval between two digits of a dialing number. Range of value: 1~10, calculated by s, with the default value of 6. In case your dialing rules do not include “.”, the call will fail if there is no digit dialed or no dialing rule matched during this interval; in case your dialing rules include “.”, the gateway will wait until this interval ends and match to the dialing rule “.” if there is no digit dialed or no other dialing rule matched during this interval.
Description | More information about the configuration item Inter Digit Timeout, such as the reason for adopting the current value.

Click Modify in Figure 3‑43 to modify the dialing timeout info. See Figure 3‑44 for the dialing timeout info modification interface. The configuration items on this interface are the same as those on the Dialing Timeout Info Interface.

Figure 3‑44 Modify Dialing Timeout Info

After configuration, click Save to save the above settings into the gateway or click Close to cancel the settings.


3.5.11 Cue Tone

Figure 3‑45 Cue Tone Interface

See Figure 3‑45 for the Cue Tone interface. The table below explains the items shown in the above figure.

Item | Description
Upload a file of cue tone | Uploads a user-defined cue tone file to the gateway.

Click Save to save the above settings into the gateway.


3.5.12 Color Ring

Figure 3‑46 Coloring Ring Interface

By default, there is no available color ring on the gateway. See Figure 3‑46. Click Upload to upload a new color ring manually. Follow Figure 3‑47 to upload the required color ring file to the gateway.

Figure 3‑47 Color Ring Upload Interface

The table below explains the items shown above:

Item | Description
Index | The unique index of each color ring to be uploaded.
Description | It is user-defined, with the default value of default.
Color Ring | The file of the color Ring to be uploaded.

After configuration, click Upload to upload the color ring file to the gateway or click Return to cancel the upload. See Figure 3‑48 for the Color Ring Management interface after the upload.

Figure 3‑48 Color Ring Management Interface

Click Modify in Figure 3‑48 to modify the configuration of the color ring. See below for the color ring modification interface. The configuration items on this interface are the same as those on the Color Ring Upload interface.

Figure 3‑49 Color Ring Modification Interface

To delete a color ring, check the checkbox before the corresponding index in Figure 3‑48 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all color rings at a time, click the Clear All button in Figure 3‑49.


3.5.13 QoS

Figure 3‑50 Differentiated Services Setting Interface

See Figure 3‑50 for the Differentiated Services setting interface. Using this technology, the gateway can meet various application requirements under a limited bandwidth and ensure neither delay nor discard for important services so as to improve its quality of services.

The table below explains the items shown in the above figure.

Item | Description
QoS | Sets whether to enable the OoS differentiated services. By default, it is disabled.
Media Premium QoS | Sets the priority of the media premium for QoS. A media premium QoS with a bigger value has a higher priority. The value range is 0~63, with the default value of 46.
Control Premium QoS | Sets the priority of the control premium for QoS. A control premium QoS with a bigger value has a higher priority. The value range is 0~63, with the default value of 26.


3.5.14 Action URL

Figure 3‑51 Channel State Report Settings Interface

See Figure 3‑51 for the Action URL interface, which is used to designate the server patch to report the on-hook or off-hook state of the FXS channel. You are allowed to designate two different server paths. After setting, the state will be reported to the designated server once any of the FXS channel hangs up or picks up a call. After configuration, click Save to save your settings into the gateway or click Reset to restore the configurations.


3.6 Port Settings

Port Settings includes five parts: FXS, FXO, FXO Port Timer, Port Group and Advanced FXO Settings. See Figure 3‑52.

Figure 3‑52 Port Settings


3.6.1 FXS

Figure 3‑53 FXS Settings Interface

See Figure 3‑53 for the FXS settings interface. The list in the above figure shows the feature and properties of each FXS port. Click Modify in Figure 3‑53 to modify the properties of the corresponding port. See Figure 3‑54 for the FXS modification interface.

Figure 3‑54 FXS Modification

The table below explains the configuration items on the FXS modification interface.

Item

Description

Port

Serial number of the FXS port on the device.

Type

Type of the port on the device (FXS). This item is not configurable.

Register Port

Sets whether to register the port to the SIP server.

When this item is set to No, the item Reg Status on the FXS settings interface (Figure 3‑53) shows Unregistered; when this item is set to Yes, the item Reg Status shows Failed or Registered.

SIP Account

When the port initiates a call to SIP, this item corresponds to the username of SIP. The default SIP account is 80XX among which XX represents the corresponding port number. For example, the default SIP account corresponding to Port 1 is 8001, and that corresponding to Port 8 is 8008.

Display Name

Set the content of the displayname field of the SIP message. If it doesn’t set with any value, the displayname field will by default display the content of callerid.

Password

Registration password of the port. To register a port to the SIP server, both items SIP Account and Password must be filled in.

Authentication Username

Authentication username of a port, used to register the port to the SIP server when IMS network is enabled.

Note: This item appears only when IMS Network or Multi-Registrar Server is enabled.

Display Name Preferred

In case this feature is enabled and the port group or the whole gateway is registered, if the display name set by the port are different from that set by the port group, the displayname in the sent SIP message will be the one set by the port. In case this feature is disabled, if the port group is registered, the displayname in the sent SIP message will be the display name set by the port group; if the whole gateway is registered, the displayname in the sent SIP message will be the displayname of the gateway.

Server Index

The index of the SIP server which will be quoted by the current FXS port.

Auto Dial Number,

Wait Time before Auto Dial

The FXS port will dial the Auto Dial Number if there is no dialing operation after pickup within a designated time period (i.e. Wait Time before Auto Dial).

Input Gain, Output Gain

Adjusts the gain of the voice input to/ output from the FXS port. Range of value: -24~12, calculated by dB, with the default value of 0.

Echo Canceller

The echo cancellation feature for a call conversation over the FXS channel. By default, this feature is enabled and the effect can reach 128ms.

Forbid Outgoing Call

If this feature is enabled, the FXS port will be forbidden to call out. The default setting is disabled.

CID

CallerID. If this feature is enabled, the FXS port will send the CallerID of the incoming IP call together with the ringing tone to the corresponding station. The default setting is enabled. CallerID displays digits only and will filter out any other characters if exist.

Call Waiting

If this feature is enabled, the FXS port in conversation can accept another call from IP and keep it in the waiting state. Once the current conversation is finished and the station hangs up, the call in the waiting state will ring the station and wait for answer. The default setting is disabled.

DND

Do Not Disturb. If this feature is enabled, the FXS port will reply the 403 message to reject all incoming calls. The default setting is disabled.

Call Forward

The automatic call forward feature for the FXS port. Once this feature is enabled, the FXS port will forward incoming IP calls according to FWD Type. Note: To enable this feature, do not put the FXS port into a port group with other ports. The default setting is disabled.

FWD Type

Forward conditions for the FXS port to forward incoming IP calls. The optional values are:

Option | Description
Unconditional | The FXS port will forward all incoming IP calls to the preset FWD Num immediately when it receives them.
Busy | The FXS port will forward incoming IP calls to the preset FWD Num if it is busy upon receiving them.
No Reply | The FXS port will forward incoming IP calls to the preset FWD Num if the corresponding station does not answer them in a designated time period (i.e. Time for No Reply Forward). Only when this forward condition is selected does the configuration item Time for No Reply Forward become valid.

This item is valid only when Call Forward is set to Enable.

FWD Num

The number to which the incoming IP call is forwarded. If the Call Forward feature is enabled, this item can not be left empty.

Color Ring

Sets whether to enable the color ring feature or not, with the default setting of being disabled.

Note: Only when there are available color rings will this item appear.

Color Ring Index

The index of the color ring which will be quoted by the current FXS port.

Talkback

With this feature enabled and a number bound, the port can talkback to its bound number. That is, they can start a call with each other as soon as picking up the phone. The default setting is disabled.

Note: This feature is only used in the case of channel registration.

Bound Number

Sets the bound number for talkback.

After configuration, click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Cancel to cancel the settings.

Or you can click Batch to modify several pieces of FXS settings at the same time. See Figure 3‑55 below for the FXS batch modification interface. The configuration items on this interface are the same as those on the FXS modification interface (Figure 3‑54).

Figure 3‑55 FXS Batch Modification

Some configuration items on this interface are the same as those on the FXS Modification Interface. The others are described in the table below.

Item | Description
Starting Port | The starting serial number of the FXS port on the device in the batch setting.
Ending Port | The ending serial number of the FXS port on the device in the batch setting.
Starting SIP Account | The starting SIP account in the batch setting.
Starting Display Name | The starting displayname in the batch setting.
Starting Authentication Password | The starting authentication password in the batch setting.
Starting Authentication Username | The starting authentication username in the batch setting.
SIP Account Batch Rule | The rule for batch setting the SIP account, including Increase and Decrease two options.
SIP Account Batch Step Size | Sets the increase or decrease step size of the SIP account in the batch setting.
Authentication Password Batch Rule | The rule for batch setting the authentication password, including Increase and Decrease two options.
Authentication Password Batch Step Size | Sets the increase or decrease step size of the authentication password in the batch setting.
Authentication Username Batch Rule | The rule for batch setting the authentication username, including Increase and Decrease two options.
Authentication Username Batch Step Size | Sets the increase or decrease step size of the authentication username in the batch setting.

After configuration, click Modify to save the settings into the gateway, or click Cancel to cancel the settings.


3.6.2 FXO

Figure 3‑56 FXO Settings Interface

See Figure 3‑56 for the FXO Settings interface. The list in the above figure shows the feature and properties of each FXO port. Click Modify in Figure 3‑56 to modify the properties of the corresponding port. See Figure 3‑57 for the FXO Modification interface.

Figure 3‑57 FXO Modification

The table below explains the configuration items on the FXO modification interface.

Item

Description

Port

Serial number of the FXO port on the device.

Type

Type of the port on the device (FXO). This item is not configurable.

Register Port

Sets whether to register the port to the SIP server.

When this item is set to No, the item Reg Status on the FXO settings interface (Figure 3‑56) shows Unregistered; when this item is set to Yes, the item Reg Status shows Failed or Registered.

SIP Account

Registration account of an FXO port. The default SIP account is 80XX among which XX represents the corresponding port number. For example, the default SIP account corresponding to Port 1 is 8001, and that corresponding to Port 32 is 8032.

Display Name

Set the content of the displayname field of the SIP message. If it doesn’t set with any value, the displayname field will by default display the content of callerid.

Password

Registration password of the port. To register a port to the SIP server, both items SIP Account and Password must be filled in.

Authentication Username

Authentication username of a port, used to register the port to the SIP server when IMS network is enabled.

Note: This item appears only when IMS Network or Multi-Registrar Server is enabled.

Display Name Preferred

In case this feature is enabled and the port group or the whole gateway is registered, if the display names set by the port are different from that set by the port group, the displayname in the sent SIP message will be the one set by the port. In case this feature is disabled, if the port group is registered, the displayname in the sent SIP message will be the display name set by the port group; if the whole gateway is registered, the displayname in the sent SIP message will be the displayname of the gateway.

Server Index

The index of the SIP server which will be quoted by the current FXO port.

Connection Method

FXO connection methods include:

Option | Description
Static Binding | Bind the number which corresponds to an FXS port to an FXO port. The number will be listed in the Bound Number column. This helps to achieve the corresponding binding between an FXO port and an FXS port (two-way).
Two Stages Dialing Mode (default) | Under this mode, an incoming call from an FXO port will go into the IVR system. Then IVR will play a speech prompt “Please dial the extension number”. If you fail to input the correct target station number before IVR finishes the third repeat of the prompt, the FXO will hang up the call automatically; otherwise, the corresponding station will ring.

Note: Both items Connection Method and Bound Number will be hidden if the SIP Station feature is enabled on the SIP Settings interface.

Input Gain at Offhook/Onhook, Output Gain at Offhook/Onhook

Adjusts the gain of the voice input to/ output from the FXO port when it is offhook or onhook. Range of value: -24~12, calculated by dB, with the default value of 0.

Echo Canceller

The echo cancellation feature for a call conversation over the FXO channel. By default, this feature is enabled and the effect can reach 128ms.

Forbid Outgoing Call

If this feature is enabled, the FXO port will be forbidden to call out. The default setting is disabled.

Caller ID Detection

If this feature is enabled, the FXO port will detect the caller IDs from the incoming calls. The default setting is enabled.

Polarity Reversal Detection

Once this feature is enabled, only when the FXO port detects the polarity reversal signal will the corresponding channel go into the talking state. The default setting is disabled. Note: This feature and the Two Stages Dialing feature cannot be enabled at the same time.

After configuration, click Modify to save the settings into the gateway, click Reset to restore the configurations, or click Cancel to cancel the settings.

Or you can click Batch to modify several pieces of FXO settings at the same time. See Figure 3‑58 below for the FXO Batch Modification interface. The configuration items on this interface are the same as those on the FXO Modification interface (Figure 3‑57).

Figure 3‑58 FXO Batch Modification

Some configuration items on this interface are the same as those on the FXO Modification Interface. The others are described in the table below.

Item | Description
Starting Port | The starting serial number of the FXO port on the device in the batch setting.
Ending Port | The ending serial number of the FXO port on the device in the batch setting.
Starting SIP Account | The starting SIP account in the batch setting.
Starting Display Name | The starting displayname in the batch setting.
Starting Authentication Password | The starting authentication password in the batch setting.
Starting Authentication Username | The starting authentication username in the batch setting.
SIP Account Batch Rule | The rule for batch setting the SIP account, including Increase and Decrease two options.
SIP Account Batch Step Size | Sets the increase or decrease step size of the SIP account in the batch setting.
Authentication Password Batch Rule | The rule for batch setting the authentication password, including Increase and Decrease two options.
Authentication Password Batch Step Size | Sets the increase or decrease step size of the authentication password in the batch setting.
Authentication Username Batch Rule | The rule for batch setting the authentication username, including Increase and Decrease two options.
Authentication Username Batch Step Size | Sets the increase or decrease step size of the authentication username in the batch setting.

After configuration, click Save to save the settings into the gateway, or click Cancel to cancel the settings.


3.6.3 FXO Port Timer

Figure 3‑59 FXO Port Timer Interface

See Figure 3‑59 for the FXO Port Timer interface, which displays such information as the max call time limit for a single call, the max call time limit for the total calls on each FXO port, as well as the timer clear cycle. Click Modify for each port in Figure 3‑59 to modify the timer settings. See Figure 3‑60.

Figure 3‑60 FXO Port Timing Setting Interface

The table below explains the configuration items shown in the above figure:

Item | Description
Port | Serial number of the FXO port on the device.
Unit | Sets the timing unit for the call. The actual call time will be calculated as the integral multiple of the setting time. Take an example: supposed the setting time is 30s and the actual call time is 72s, thus, the gateway will consider the call time as 90s.
Time Limit on a Single Call | Sets whether to enable the time limit on a single call.
Max Call Time | Sets the maximum time length of a call.
Time Limit on Total Calls | Sets whether to enable the time limit on all calls at the port.
Timing Cycle | Sets the time count cycle for the port.
Clear | Sets the time node to clear the time count.
Set Spent Call Time | Sets the spent call time length of the port.
SIP Code Reply | The FXO port cannot make outgoing call once the spent call time reaches to the total time limit. And the gateway will reply the designated SIP code to the IP side.
Apply to Other Ports | Sets whether to apply above settings to other ports or port groups.

Click Modify to save the settings into the gateway, click Return to cancel the settings.


3.6.4 Port Group

Figure 3‑61 Port Group Settings Interface

See Figure 3‑61 for the port group settings interface. A port group is a set containing single or multiple ports, used to specify such properties as Port Selection and Authentication Mode for all the ports in it. A new port group can be added by the Add New button on the bottom right corner of the above list. See Figure 3‑62 for the port group adding interface. Note that a port which has been occupied by one port group cannot be chosen by others.

Figure 3‑62 Add New Port Group

The table below explains the items in the above figure.

Item

Description

Index

The unique index of each port group, which is mainly used in the configuration of routing rules and number manipulation rules to correspond to port groups.

Description

More information about each port group, with default value of default.

Register Port Group

To register the port group to the SIP server. Only when this configuration item is set to Yes can you see the configuration items SIP Account and Password.

SIP Account

When the port group initiates a call to SIP, this item corresponds to the username of SIP.

Display Name

Set the content of the displayname field of the SIP message. If it doesn’t set with any value, the displayname field will by default display the content of callerid.

Password

Registration password of the port group. To register the port group to the SIP server, both configuration items SIP Account and Password should be filled in.

Authentication Username

Authentication username of a port, used to register the port to the SIP server when IMS network is enabled.

Note: This item appears only when IMS Network or Multi-Registrar Server is enabled.

Server Index

The index of the sip server which will be quoted by the current FXS port.

Authentication Mode

Sets the way for SIP to make outgoing calls (TelàIP) on the gateway.

Option | Description
Do Not Register (default) | SIP initiates a call in a point-to-point mode.
Register Gateway | SIP initiates a call with the registered SIP account and password of the whole gateway. (Refer to 3.4.1 SIP for gateway registration.)
Register Port Group | SIP initiates a call with the registered SIP account and password of the port group.
Register Port | SIP initiates a call with the registered SIP account and password of the port.

Register Status

Registration status of the port group. When Register Port Group is set to No, the value of this item is Unregistered; when Register Port Group is set to Yes, the value of this item may be Failed or Registered.

Port Select Mode

When the port group receives a call, it will choose a port based on the select mode set by this configuration item to ring or to connect. The optional values and their corresponding meanings are described in the table below.

Option | Description
Increase (default) | Search for an idle port in the ascending order of the port number, starting from the minimum. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Decrease | Search for an idle port in the descending order of the port number, starting from the maximum. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Cyclic Increase | Provided Port N is the available port found last time. Search for an idle port in the ascending order of the port number, starting from Port N+1. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Cyclic Decrease | Provided Port N is the available port found last time. Search for an idle port in the descending order of the port number, starting from Port N-1. If no match is found, search repeatedly until finding a port which is allowed to enter the call waiting state.
Group Ringing | Ring all the idle FXS ports in this port group.
Ringing by Turns | Ring the ports in this port group according to the Rule for Ringing by Turns which can be user-defined. Refer to the format of the rule in Figure 3‑62. By default, the ringing will be carried out in the ascending order of the port number. Timeout for Ringing by Turns is used to set the overtime for ringing. Range of value: 15~60, calculated by s, with the default value of 20.

Preemptive Answer Keyboard Shortcut

When a channel in a port group is ringing, another channel in the same port group can press the keyboard shortcut set by this item to transfer the call from the ringing channel to the current channel.

Note: This item will become invalid if the gateway works under the port select mode Group Ringing or Ringing by Turns.

Port Reused by Multiple Groups

Once this feature is enabled, a port can be added to different port groups.

Port

The ports in the port group. If the checkbox before a port is grey, it indicates that the port is not available or has been occupied. Once the feature “Port Reused by Multiple Groups” is enabled, a port which has been occupied is still available for other port groups. All selected ports for a port group will be displayed in the Ports column in Figure 3‑61. Note: When a port group contains multiple ports, the automatic call forward feature is invalid.

After configuration, click Save to save the settings into the gateway, click Reset to restore the configurations, or click Cancel to cancel the settings. Check All means to select all available ports on the current page; Inverse means to uncheck the selected items and check the unselected. Check All FXO Ports means to select all available FXO ports on the current page; Check All FXS Ports means to select all available FXS ports on the current page.

Click Modify at the end of the list in Port Group Settings Interface to modify the properties of a port group. See Figure 3‑63 for the port group modification interface. The configuration items on this interface are the same as those on the Add New Port Group interface.

Figure 3‑63 Modify Port Group

To delete a port group, check the checkbox before the corresponding index in Figure 3‑61 and click the ‘Delete’ button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all port groups at a time, click the Clear All button in Figure 3‑61.


3.6.5 Advanced FXO Settings

Figure 3‑64 Advanced FXO Settings Interface

See Figure 3‑64 for the Advanced FXO Settings interface. The table below explains the configuration items on the Email Setting interface.

Item | Description
Mailbox Account, Password | Sets the account and password of the mailbox.
Outgoing (SMTP), Port | Sets the server address and port for Email sending.
SSL | Sets whether to encrypt the sending/receiving mails via SSL.
Recipient | Sets the address of the recipient.
Subject | Sets the mail subject.
Content | Sets the mail content.
FXO Off-line Alarm | After selecting the ports, the gateway will send the alarm email when the selected ports are off-line.
Blacklist of FXO Incoming | Sets the blacklist of the FXO incoming calls.
Processing Mode | Sets the processing mode for the blacklist, including two options: Hang up after pick-up and Hang up after ringing. The default value is Hang up after pick-up.
Hang-up Delay | Sets the delay to hang up the call after the pick-up.

After configuration, click Save to save the settings into the gateway or click Reset to reset the settings.


3.7 Route Settings

Route Settings is used to specify the routing rules for calls on two directions: IPàTel and TelàIP. See Figure 3‑65.

Figure 3‑65 Route Settings


3.7.1 Routing Parameters

Figure 3‑66 Routing Parameters Configuration Interface

See Figure 3‑66 for the routing parameters configuration interface. On this interface, you can set the routing rules for calls respectively on two directions IPàTel and TelàIP to be routing before or after number manipulation. The default value is Route before Number Manipulate. The gateway will send the option message to detect whether the TEL->IP routing is valid or not after setting the Route Detection Cycle. If the remote address doesn’t respond this option message within the set cycle, this routing will be regarded as invalid and the outgoing calls won’t be routed to this TEL->IP routing.

After configuration, click Save to save the above settings into the gateway.


3.7.2 IP to Tel

Figure 3‑67 IPàTel Routing Rule Configuration Interface (Standard)

See Figure 3‑67 for the IPàTel routing rule configuration interface. By default, there is no available routing rule on the gateway. The IPàTel routing rule configuration has two modes: Standard and Character.

Under the Standard mode, click Add New to add them manually. See Figure 3‑68. You may use the default values of all the configuration items herein.

Figure 3‑68 Add New Routing Rule (IPàTel)

The table below explains the items shown in the above figure.

Item | Description
Index | The unique index of each routing rule, which denotes its priority. A routing rule with a smaller index value has a higher priority. If a call matches several routing rules, it will be processed according to the one with the highest priority.
Description | More information about each routing rule, with the default value of default.
Source IP | IP address from where the call is initiated. This item can be set to a specific IP address or “*” which indicates any IP address
CallerID Prefix, CalleeID Prefix | A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, 、”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be characters ‘0~9’, ”[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Source IP specify a routing rule for calls. Note: “[*]” represents TFM symbol *, while “*” represents any string.
Route by Number | When this feature is enabled, the gateway will route a call from IP to a corresponding port based on its number. And the number of the port which this call will be routed to can be set via the item SIP Account on the FXS or FXO Settings interface. In such case, the configuration item Call Destination goes invalid and shows Route by Number on the routing rule configuration interface. The default setting is disabled.
Call Destination | Port group to which the call will be routed.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

See Figure 3‑69 for the IPàTel routing rule configuration interface after your configuration. There is a rule displayed with Index 63 and Call Destination ‘Route by Number’, having no restriction on Source IP, CallerID Prefix and CalleeID Prefix, which indicates the gateway will route a call from any IP address to a corresponding port based on its number.

Press the Add New button on the bottom right corner of the list to add a new routing rule.

Figure 3‑69 IPàTel Routing Rule Configuration Interface

Click Modify in Figure 3‑69 to modify a routing rule. The configuration items on the IPàTel routing rule modification interface are the same as those on the Add New Routing Rule (IPàTel) interface. Note that the item Index cannot be modified.

To delete a routing rule, check the checkbox before the corresponding index in Figure 3‑69 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all routing rules at a time, click the Clear All button in Figure 3‑69.

See Figure 3‑70 for the IPàTel Routing Rule Configuration Interface under the Character mode. You can edit the routing rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑70 IPàTel Routing Rule Configuration Interface (Character)


3.7.3 Tel to IP

Figure 3‑71 TelàIP Routing Rule Configuration Interface (Standard)

See Figure 3‑71 for the TelàIP routing rule configuration interface. By default, there is no available routing rule on the gateway. The TelàIP routing rule configuration has two modes: Standard and Character.

Under the Standard mode, click Add New to add them manually. See Figure 3‑72. You may use the default values of all the configuration items herein except for Destination IP and Destination Port.

Figure 3‑72 Add New Routing Rule (TelàIP)

The table below explains the items shown in the above figure.

Item | Description
Index | The unique index of each routing rule, which denotes its priority. A routing rule with a smaller index value has a higher priority. If a call matches several routing rules, it will be processed according to the one with the highest priority.
Description | More information about each routing rule, with the default value of default.
Source Port Group (Call Initiator) | Port group from which the call is initiated. This item can be set to a specific port group or ‘*’ which indicates any port group.
CallerID Prefix, CalleeID Prefix | A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or characters ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, ”[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any characters between these two characters. ’,’ is used to separate characters or characters ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Source Port Group (Call Initiator) specify a routing rule for calls. Note: ”[*]” represents DTFM symbol *, while “*” represents any string.
Destination IP, Destination Port | IP address and port number of the remote end to which the call will be routed.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

See Figure 3‑73 for the TelàIP routing rule configuration interface after your configuration. There is a rule displayed with Index 63, Destination IP ‘192.168.1.101’ and Destination Port ‘5060’ (i.e. default IP address and port of the gateway), having no restriction on Call Initiator, CallerID Prefix and CalleeID Prefix, which indicates all the outgoing calls from Tel which conform to the dialing rule will be routed to the gateway.

Figure 3‑73 TelàIP Routing Rule Configuration Interface

Click Modify in Figure 3‑73 to modify a routing rule. The configuration items on the TelàIP routing rule modification interface are the same as those on the Add New Routing Rule (TelàIP) interface. Note that the item Index cannot be modified.

To delete a routing rule, check the checkbox before the corresponding index in Figure 3‑73 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all routing rules at a time, click the Clear All button in Figure 3‑73.

See Figure 3‑74 for the TelàIP Routing Rule Configuration Interface under the Character mode. You can edit the routing rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑74 TelàIP Routing Rule Configuration Interface (Character)


3.8 Number Manipulation

Number Manipulation includes four parts: IP àTel CallerID, IP àTel CalleeID, Tel àIP CallerID and Tel àIP CalleeID. See Figure 3‑75.

Figure 3‑75 Number Manipulation


3.8.1 IP to Tel CallerID

Figure 3‑76 IPàTel CallerID Manipulation Interface (Standard)

See Figure 3‑76 for the IPàTel CallerID manipulation interface under the Standard mode. A new number manipulation rule can be added by the Add New button on the bottom right corner of the list in the above figure. See Figure 3‑77 for the IPàTel CallerID manipulation rule adding interface. You may use the default values of all the configuration items herein.

Figure 3‑77 Add IPàTel CallerID Manipulation Rule

The table below explains the items shown in the above figure.

Item | Description
Index | The unique index of each number manipulation rule, which denotes its priority. A number manipulation rule with a smaller index value has a higher priority. If a call matches several number manipulation rules, it will be processed according to the one with the highest priority.
Description | More information about each number manipulation rule, with the default value of default.
Call Initiator | IP address from where the call is initiated. This item can be set to a specific IP address or “*” which indicates any IP address.
CallerID Prefix, CalleeID Prefix | A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, “[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Call Initiator specify a number manipulation rule for calls. Note: “[*]” represents DTFM symbol *, while “*” represents any string.
Stripped Digits from Left | The amount of digits to be deleted from the left end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted. The default value is 0.
Stripped Digits from Right | The amount of digits to be deleted from the right end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted. The default value is 0.
Reserved Digits from Right | The amount of digits to be reserved from the right end of the number. Only when the value of this item is less than the length of the current number will some digits be deleted from left; otherwise, the number will not be manipulated. The default value is 20.
Prefix to Add | Designated information to be added to the left end of the current number.
Suffix to Add | Designated information to be added to the right end of the current number.

Note: The number manipulation is performed in 5 steps by the order of the following configuration items: Stripped Digits from Left, Stripped Digits from Right, Reserved Digits from Right, Prefix to Add and Suffix to Add.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

Click Modify in Figure 3‑76 to modify a number manipulation rule. See Figure 3‑78 for the IPàTel CallerID manipulation rule modification interface. The configuration items on this interface are the same as those on the Add IPàTel CallerID Manipulation Rule interface. Note that the item Index cannot be modified.

Figure 3‑78 Modify IPàTel CallerID Manipulation Rule

To delete a number manipulation rule, check the checkbox before the corresponding index in Figure 3‑76 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all number manipulation rules at a time, click the Clear All button in Figure 3‑76.

See Figure 3‑79 for the IPàTel CallerID Manipulation Interface under the Character mode. You can edit the number manipulation rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑79 IPàTel CallerID Manipulation Interface (Character)


3.8.2 IP to Tel CalleeID

The number manipulation process for IPàTel CalleeID is almost the same as that for IPàTel CallerID; only the number to be manipulated changes from CallerID to CalleeID. See,Figure 3‑81 for IPàTel CalleeID manipulation interface. The configuration items on this interface are the same as those on IPàTel CallerID Manipulation Interface (Figure 3‑76).

Figure 3‑80 IPàTel CalleeID Manipulation Interface(Standard)

Figure 3‑81 IPàTel CalleeID Manipulation Interface (Character)


3.8.3 Tel to IP CallerID

Figure 3‑82 TelàIP CallerID Manipulation Interface (Standard)

See Figure 3‑82 for the TelàIP CallerID manipulation interface under the Standard mode. A new number manipulation rule can be added by the Add New button on the bottom right corner of the list in the above figure. See Figure 3‑83 for the TelàIP CallerID manipulation rule adding interface. You may use the default values of all the other configuration items herein.

Figure 3‑83 Add TelàIP CallerID Manipulation Rule

The table below explains the items shown in the above figure.

Item | Description
Index | The unique index of each number manipulation rule, which denotes its priority. A number manipulation rule with a smaller index value has a higher priority. If a call matches several number manipulation rules, it will be processed according to the one with the highest priority.
Description | More information about each number manipulation rule, with the default value of default.
Source Port Group (Call Initiator) | Port group from which the call is initiated. This item can be set to a specific port group or ‘*’ which indicates any port group.
CallerID Prefix, CalleeID Prefix | A string of characters at the beginning of the caller/called party number. It can be a specific string consisting of digits 0~9, ”[*]”, ”#" or character ranges defined by [ ]. ‘[ ]’ represents a character within the range it defines. Values in [ ] only can be digits ‘0~9’, “[*]”, ”#", punctuations ‘-‘ and ‘,’. (’-’ is used between two characters to indicates any character between these two characters. ’,’ is used to separate characters or character ranges, representing alternatives.) For example, 057[1-3,6] represents the string 0571, 0572, 0573 or 0576. Also these items can be set to “*” which indicates any string. These two configuration items together with Call Initiator specify a number manipulation rule for calls. Note: “[*]” represents DTFM symbol *, while “*” represents any string.
Stripped Digits from Left | The amount of digits to be deleted from the left end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted. The default value is 0.
Stripped Digits from Right | The amount of digits to be deleted from the right end of the number. If the value of this item exceeds the length of the current number, the whole number will be deleted. The default value is 0.
Reserved Digits from Right | The amount of digits to be reserved from the right end of the number. Only when the value of this item is less than the length of the current number will some digits be deleted from left; otherwise, the number will not be manipulated. The default value is 20.
Prefix to Add | Designated information to be added to the left end of the current number.
Suffix to Add | Designated information to be added to the right end of the current number.

Note: The number manipulation is performed in 5 steps by the order of the following configuration items: Stripped Digits from Left, Stripped Digits from Right, Reserved Digits from Right, Prefix to Add and Suffix to Add.

After configuration, click Save to save the settings into the gateway or click Close to cancel the settings.

Click Modify in Figure 3‑82 to modify a number manipulation rule. See Figure 3‑84 for the TelàIP CallerID manipulation rule modification interface. The configuration items on this interface are the same as those on the Add Tel àIP CallerID Manipulation Rule interface. Note that the item Index cannot be modified.

Figure 3‑84 Modify TelàIP CallerID Manipulation Rule

To delete a number manipulation rule, check the checkbox before the corresponding index in Figure 3‑82 and click the Delete button. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all number manipulation rules at a time, click the Clear All button in Figure 3‑82.

See Figure 3‑85 for the TelàIP CallerID Manipulation Interface under the Character mode. You can edit the number manipulation rule list to add a new one or modify an old one. The exact meaning of each element of the rule is described on the page.

Figure 3‑85 TelàIP CallerID Manipulation Interface (Character)


3.8.4 Tel to IP CalleeID

The number manipulation process for TelàIP CalleeID is almost the same as that for TelàIP CallerID; only the number to be manipulated changes from CallerID to CalleeID. See Figure 3‑86, Figure 3‑87 for the TelàIP CalleeID manipulation interface. The configuration items on this interface are the same as those on TelàIP CallerID Manipulation Interface (Figure 3‑82).

Figure 3‑86 TelàIP CalleeID Manipulation Interface (Standard)

Figure 3‑87 TelàIP CalleeID Manipulation Interface (Character)


3.9 System Tools

System Tools is mainly for gateway maintenance. It provides such features as IP modification, data backup and connectivity check. See Figure 3‑88 for details.

Figure 3‑88 System Tools


3.9.1 Management

Figure 3‑89 Management Parameters Setting Interface

See Figure 3‑89 for the Management Parameters Setting interface. The table below explains the items shown in the above figure.

Item | Description
WEB Port | The port which is used to access the gateway via WEB. The default value is 80.
Access Setting | Sets the IP addresses which can access the gateway via WEB. By default, all IPs are allowed. You can set an IP whitelist to allow all IPs within it to access the gateway freely. Also can set an IP blacklist to forbid all IPs within it to access the gateway.
SYSLOG | Sets whether to enable SYSLOG. It is required to fill in SYSLOG Server Address and SYSLOG Level in case SYSLOG is enabled. By default, SYSLOG is disabled.
Server Address | Sets the SYSLOG server address for log reception.
SYSLOG Level | Sets the SYSLOG level. There are three options: ERROR, WARNING, INFO and DEBUG. The default value is INFO.
Send CDR | Sets whether to enable the feature of sending CDR. It is required to fill in Server Address and Server Port in case Send CDR is enabled. By default, Send CDR is disabled.
Server Address | The address of the server to receive CDR.
Server Port | The port of the server to receive CDR.
NTP | Sets whether to enable the NTP time synchronization feature. It is required to fill in NTP Server Address, Synchronizing Cycle and Time Zone in case NTP is enabled. By default, NTP is enabled.
NTP Server Address | Sets the Server address for NTP time synchronization. By default, the address is time.nist.gov
Synchronizing Cycle | Sets the cycle for NTP time synchronization, calculated by s, with the default value of 3600.
Daily Restart | Sets whether to restart the gateway regularly every day at the preset Restart Time. By default, this feature is disabled.
Restart Time | Sets the time to restart the gateway regularly.
System Time | The system time. Check the checkbox before Modify and change the time in the edit box when NTP is disabled.
Time Zone | The time zone of the gateway.


3.9.2 Configuration File

Figure 3‑90 Configuration File Interface

See Figure 3‑90 for the Configuration File interface, including two files: SMGConfig.ini and ShConfig.ini. You can check and modify the items in these configuration files through this interface. Configurations about the gateway server, such as route rules, number manipulation and so on, are included in SMGConfig.ini; configurations about the board are included in ShConfig.ini. You can modify these configurations on the interface directly, and then click Save to save the above settings into the gateway or click Reset to restore the configurations.


3.9.3 Network

Figure 3‑91 Network Settings Interface

See Figure 3‑91 for the network settings interface. A gateway has only one LAN, which can be configured with network type, IP address, subnet mask, default gateway and DNS server. Network Type has three options: Static, DHCP and PPPoE. If PPPoE is used, it is necessary to enter the username and the password of the network.

After configuration, click Save to save the above settings into the gateway or click Reset to restore the configurations. After changing the IP address, you shall log in the gateway again using your new IP address.


3.9.4 Upgrade

Figure 3‑92 Upgrade Interface

See Figure 3‑92 for the upgrade interface where you can upgrade the WEB, gateway service, kernel and firmware to new versions. Select the upgrade package “*.tar.gz” (The gateway will do MD5 verification before upgrading and will not start to upgrade until it passes the verification.) via Browse… and click Update. Then the file uploading interface will appear. See Figure 3‑93.

Figure 3‑93 File Uploading Interface

After a successful uploading of the file, the gateway will start to upgrade the system. See Figure 3‑94 and you can learn the detailed upgrading information from the upgrade information box at the bottom.

Figure 3‑94 System Upgrading Interface

Note that clicking Reset can only delete the selected update file but not cancel the operation of Update.

Note: Please contact our technicians if you need to downgrade the gateway to an old version. An improper operation may cause unexpected problems.


3.9.5 Signaling Capture

Figure 3‑95 Signaling Capture Interface

See Figure 3‑95 for the Signaling Capture interface. Packet capture contains Signaling Packet Capture and RTP Packet Capture. You can select either of them to start the capture according to your requirement. Once the configuration item “Capture Data on All Network Cards” is enabled, the gateway will capture the data on all kinds of network cards, including eth0, lo (local loopback) and veth0 (virtual network card); otherwise, it will only capture the data on eth0. Click Start to start capturing packets. Click Stop to stop the capture and download the captured packets.


3.9.6 Data Recording

Figure 3‑96 Data Recording Interface

See Figure 3‑96 for the Debug & Record interface. You can select a channel and the recording mode to start the data recording. Click Start to start the corresponding recording. Click Stop to stop the recording and download the recorded file.


3.9.7 Call Log

Figure 3‑97 Call Log Interface

Figure 3‑98 SIP Log Interface

See Figure 3‑97, Figure 3‑98 for the Call Log interface. Click the checkbox before Enable Call Log to enable the call log feature, including Call Log and SIP Log. Call from IP Channel displays the call log information generated on all IP channels, and Call from Port displays the call log information generated on the port you select. All the SIP related information will be displayed in SIP Log.


3.9.8 Operation Log

Figure 3‑99 Operation Log Interface

See Figure 3‑99 for the Operation Log interface, which is used to check the operation records on WEB. Click Refresh to refresh the log; click Clear All to clear all the operation logs and click Download to download the logs.

Note: The sign <@#> here means the configuration item is unconfigured.


3.9.9 Backup & Upload

Figure 3‑100 Backup & Upload Interface

See Figure 3‑100 for the backup and upload interface. To back up the configuration file to your PC, just click Backup. To upload a configuration file, select it via Browse… and click Upload.

Figure 3‑101 Backup & Upload & Prompt Interface

Click OK on the prompt box (Figure 3‑101) to upload the configuration file to the gateway. Now the prompt information ‘System is rebooting, please do not leave this page’ appears. See Figure 3‑102. The gateway will overwrite the current configurations with the uploaded data after restart. Click Cancel to cancel this upload directly.

Figure 3‑102 Configuration File Uploading Interface


3.9.10 Factory Reset

Figure 3‑103 Factory Reset Interface

See Figure 3‑103 for the factory reset interface. Click Reset to restore all configurations on the gateway to factory settings.


3.9.11 System Monitor

Figure 3‑104 System Monitor Configuration Interface

See Figure 3‑104 for the System Monitor Configuration interface. Watchdog is a timing reset system used to avoid application crash. You can set the dog feeding interval when this feature is enabled. The feeding interval is calculated by s, with the value range of 1~15s. By default, this feature is enabled with the default value of 5s. As the feature ‘Automatically restart the service if undetected’ is enabled, the service application will restart automatically if it is not detected by the gateway guard application. By default, this feature is enabled. Threshold to Judge Heartbeat Loss for Service is used to judge whether the gateway receives the heartbeat packets from the service during the set time, if not, it is considered that the gateway service has been disconnected. It is calculated by s, with the value range of 20~120s and the default value of 60s.


3.9.12 Centralized Manage

Figure 3‑105 Centralized Manage Setting Interface

See Figure 3‑105 for the Centralized Manage Setting interface. The gateway can register to a centralized management platform and accept the management of the platform. The table below explains the items shown in above figures.

Item

Description

Management Platform

Select a management platform for the gateway to register, including two options: DCMS and Others.

Server Address

The address of the server in which the management platform locates, It can be IP or a domain name, valid only when DCMS is selected.

Note: To configure the domain name, the DNS should be already configured and the corresponding domain name must be analyzable.

Company Name

The name used to register the gateway to Synway DCMS, valid only when DCMS is selected.

Authorization Code

The authorization code is used for the connection verification. A device can connect to the DCMS successfully only after it passes the verification. Only valid when DCMS is selected.

Gateway Description

The description displayed on Synway DCMS after the gateway is registered to Synway DCMS, giving an easy identification of the gateway in device grouping. This item is valid only when DCMS is selected.

Enable Lock Feature Once Successfully Contected

Once this feature is enabled, you can lock the device according to the corresponding parameters. This item is valid only when DCMS is selected.

IP Address

Once this feature is enabled, you are required to fill in the authorization code while modifying the information related to the IP address in the Network interface. This item is valid only when DCMS is selected.

Registrar Server

Once this feature is enabled, you are required to fill in the authorization code while modifying the address and port of the registrar server in the SIP Settings interface. This item is valid only when DCMS is selected.

Working Status

The status of the connection between the gateway and the centralized management server. This item is valid only when DCMS is selected.

Centralized Management Protocol

Set the centralized management protocol. It only supports SNMP currently.

SNMP Version

Set the version of SNMP, three options available: V1, V2 and V3, with the default value of V2. This item is valid only when Others is selected.

Monitoring Port

Monitoring Port for SNMP on the gateway. This item is valid only when Others is selected.

Community String

Community string used for information acquisition.

Account

The account of SNMP, valid only when the SNMP version is set to V3.

Grade

The grade of SNMP, three options available: Neither authenticated nor encrypted, Authenticated but not encrypted and Authenticated and encrypted, with the default value of Neither authenticated nor encrypted. It is valid only when the SNMP version is set to V3.

Authentication Password

The authentication password required to enter when the item Grade is set to Authenticated but not encrypted or Authenticated and encrypted.

Encryption Password

The encryption password required to enter when the item Grade is set to Authenticated and encrypted.


3.9.13 Access Control

Figure 3‑106 Access Control List Interface

See Figure 3‑106 for the Access Control List interface. Once you add a piece of command to ACL, the network flow will be restricted: only the particular devices are allowed to visit the gateway and only the data packages on the designated ports can be forwarded. Click Add New to add a new piece of command. See Figure 3‑107.

Figure 3‑107 Add Access Control Command Interface

Input a piece of command into the Command item and click Save to save the settings to the gateway. Click Close to cancel your settings. After that, click Apply to make the new command valid.

Click Modify in Figure 3‑106 to modify a command. See Figure 3‑108 for the Access Control Command Modification interface. The configuration items on this interface are the same as those on the Add Access Control Command interface. Note that the item Index cannot be modified.

Figure 3‑108 Access Control Command Modification Interface

To delete an Access Control Command, check the checkbox before the corresponding index in Figure 3‑106 and click the Delete button, and then click the Apply button to make the deleted command invalid. Check All means to select all available items on the current page; Uncheck All means to cancel all selections on the current page; Inverse means to uncheck the selected items and check the unselected. To clear all access control commands at a time, click the Clear All button in Figure 3‑106.

Note:

1. Currently, only the command iptables is supported by the gateway.

2. After you add, modify or delete a command manually, don’t forget to click the Apply button to make your settings valid. However, in case the gateway restarts or the configuration is leading-in, the command will get valid automatically without the need for you to click the Apply button.


3.9.14 PING Test

Figure 3‑109 Ping Test Interface

See Figure 3‑109 for the Ping test interface. A Ping test can be initiated from the gateway on a designated IP address to check the connection status between them. The table below explains the configuration items shown in the above figure.

Item | Description
Destination Address | Destination IP address or domain name on which the Ping test is executed.
Ping Count | The number of times that the Ping test should be executed. Range of value: 1~100.
Package Length | Length of the data package used in the Ping test. Range of value: 56~1024 bytes.
Info | The information returned during the Ping test, helping you to learn the network connection status between the gateway and the destination address.

After configuration, click Start to execute the Ping test; click End to terminate it immediately.


3.9.15 TRACERT Test

Figure 3‑110 Tracert Test Interface

See Figure 3‑110 for the Tracert test interface. A Tracert test can be initiated from the gateway on a designated IP address to check the routing status between them. The table below explains the configuration items shown in the above figure.

Item | Description
Source IP Address | Source IP address where the Tracert test is initiated.
Destination Address | Destination IP address on which the Tracert test is executed.
Maximum Jumps | Maximum number of jumps between the gateway and the destination address which are returned by the Tracert test. Range of value: 1~255.
Info | The information returned during the Tracert test, helping you to learn the detailed information about the jumps between the gateway and the destination address.

After configuration, click Start to execute the Tracert test; click End to terminate it immediately.


3.9.16 Change Password

Figure 3‑111 Password Changing Interface

See Figure 3‑111 for the Password Changing interface where you can change username and password of the gateway. Enter the current password, the new username and password, and then confirm the new password. After configuration, click Save to apply the new username and password or click Reset to restore the configurations. After changing the username and password, you are required to log in again.


3.9.17 Restart

Figure 3‑112 System Restart Interface

See Figure 3‑112 for the Restart interface. Click Restart to restart the whole gateway system. A dump file will be generated each time you restart the system. Click Download and you can download it to help troubleshoot issues.


Appendix A Technical Specifications

Dimensions

SMG1004B, SMG1008B: 220×148×40 mm3

SMG1016B4: 440×44×267 mm3

Weight

SMG1004B, SMG1008B: 0.375 kg

SMG1016B4: 2.530 kg

Environment

Operating temperature: 0℃—45℃

Storage temperature: -20℃—85℃

Humidity: 8%— 90% non-condensing

Storage humidity: 8%— 90% non-condensing

LAN

Amount: 1 (10/100 BASE-TX (RJ-45))

Self-adaptive bandwidth supported

Auto MDI/MDIX supported

FXS Port

Amount: 4/8/16

Type: RJ11, RJ45

Maximum transmission distance: 5000m

Impedance

Telephone line impedance: Compliant with the national standard impedance for three-component network

Console Port

Amount: 1 (RS-232)

Baud rate: 115200bps

Connector: RJ45 to DB-9 Connector

Data bits: 8 bits

Stop bit: 1 bit

Parity unsupported

Flow control unsupported

Note: Follow the above settings to configure the serial port; or it may work abnormally.

Power Requirements

Input power:

SMG1004B, SMG1008B：12V the direct current bigger than 3A

SMG1016B4：100～240V AC

Signaling & Protocol

SIP signaling

Supported protocol: SIP V1.0/2.0, RFC3261

Audio Encoding & Decoding

G.711A | 64 kbps
G.711U | 64 kbps
G.729A/B | 8 kbps
G723 | 5.3/6.3 kbps
G722 | 64 kbps
AMR | 4.75 kbps
iLBC | 13.3/15.2 kbps

Sampling Rate

8kHz


Appendix B Troubleshooting

Q1. What to do if I forget the IP address of the SMG-B gateway?

There are two ways to get the IP address:

1) Long press the Reset button on the gateway to restore to factory settings. The default IP address is 192.168.1.101

2) Dial the corresponding function key through an FXS port to query the IP address. See 3.5.8 Function Key for more details.

Q2. The SMG-B gateway only supports routing on two directions, i.e. TelàIP and IPàTel. What to do if I want to make a TelàTel call?

By default, you can make TelàTel calls without any routing configuration.

If you need to make TelàTel calls in a specific way, try via the routing of TelàIPàIPàTel. See below for detailed introductions.

Provided you are going to initiate a call from Port Group 1 to Port Group 2; the IP address and port number of your gateway are 192.168.1.101 and 5060 respectively.

a) Add a new routing rule on the TelàIP routing rule configuration interface. Select a port group (e.g. Port Group 1) as ‘Source Port Group’ to initiate the call and fill in ‘Destination IP’ and ‘Destination Port’ with the gateway’s IP address (e.g. 192.168.1.101) and port number (e.g. 5060). Then the call initiated from the station corresponding to Port Group 1 will be routed to the gateway.

b) Add a new routing rule on the IPàTel routing rule configuration interface. Fill in ‘Source IP’ with the gateway’s IP address (e.g. 192.168.1.101) and select a port group (e.g. Port Group 2) as ‘Destination Port Group’ to be called. Then if the IP end of the gateway calls itself, the station corresponding to Port Group 2 will ring.

c) Finishing the above configurations, you can perform a TelàTel call from Port Group 1 to Port Group 2 simply by the way you make a TelàlP call.

Q3. Does call forwarding involve routing and number manipulation?

Case 1: If the forwarding number is the number of the gateway port. There is no need to use routing and number manipulation rules. Because the gateway will find the corresponding number according to the forwarding number and make a call.

Case 2: If the forwarding number is not the number of the gateway port. It is required to use routing and number manipulation rules. A call forward procedure can be regarded as a TelàIP call. It uses the routing rules and number manipulation rules in the same way as the TelàIP call. A complete call forward is performed as follows:

a) An incoming IP call to the gateway rings the port which matches the IPàTel routing and number manipulation rules and obtains a new CallerID.

b) Then the gateway uses the newly obtained CallerID and the call forward number, via the TelàIP routing and number manipulation rules, to make another call from the port to a remote IP address.

Q4. In what cases can I conclude that the SMG-B gateway is abnormal and turn to Synway’s technicians for help?

a) During runtime, the run indicator does not flash or the alarm indicator lights up or flashes, and such error still exists even after you restart the device or restore it to factory settings.

b) Voice problems occur during call conversation, such as that one party or both parties cannot hear the voice or the voice quality is unacceptable.

c) The port of the gateway is well connected, but the channel indicator never lights up after the gateway startup or the color it lights up does not comply with the actual state or port type.

Other problems such as inaccessible calls, failed registrations, incorrect numbers and abnormal dialing operations on the FXS port are probably caused by configuration errors. We suggest you refer to Chapter 3 WEB Configuration for further examination. If you still cannot figure out or solve your problems, please feel free to contact our technicians.

Q5. What to do if I cannot enter the WEB interface of the SMG-B gateway after login?

This problem may happen on some browsers. To settle it, follow the instructions here to configure your browser. Enter ‘Tools > Internet Options >Security Tab’, and add the current IP address of the gateway into ‘Trusted Sites’. If you changes the IP address of the gateway, add your new IP address into the above settings too.

Q6. How many ports can be rung by turns according to the Ringing by Turns rule?

According to the 180s ringing timeout limit in RFC3261 protocol, the time used for ringing all ports by turns cannot exceed 180s. Therefore, based on the minimum timeout 15s for each port in the ringing queue, the maximum number of ports for ringing by turns is 12.

For example, if you set Timeout for Ringing by Turns to 20s, the maximum number of ports for ringing by turns should be 180s/20s=9; if you set Timeout for Ringing by Turns to 30s, the maximum number of ports for ringing by turns should be 180s/30s=6.

Q7. Is there any cell-phone APP can make calls to the SMG-B gateway?

Yes. Linphone is a soft SIP phone that is supported by multiple platforms, such as Linux, Windows, iOS, Android, etc. It must be registered to the SIP registrar server before dialing to other SIP devices or PSTN telephones,

Q8. Does the SMG-B gateway support fax?

Yes. Currently the SMG-B gateway supports two fax modes: T.38 and Pass-Through.

Q9. Which RTP codecs are supported by the SMG-B gateway?

At present, the supported RTP codecs are: G.711A, G.711u, G.729, G.723, G.722, AMR and iLBC.

Q10. How to configure the features Communication without Power and Communication without Network for the SMG-B analog gateway?

The feature Communication without Power is implemented in hardware. Once the power to the device is cut off, the station which is linked with the FXS port and the trunk which is linked with the FXO port will connect to each other directly and keep the good communications between phones and networks. Currently, this feature is only supported on SMG1004B-2S2O, SMG1008B-4S4O and SMG1016B4-8S8O. The FXS and FXO ports are one-to-one correspondence (Take SMG1016B4-8S8O for example, the phone linked with Channel 1 will be connected to the PSTN line which links with Channel 9.).

The feature Communication without Network is implemented via the WEB management over the analog gateway. It will automatically route a call to the FXO port in case of network failure or call timeout.

Refer to Q2 in this chapter for detailed information.


Appendix C Technical/sales Support

Thank you for choosing Synway. Please contact us should you have any inquiry regarding our products. We shall do our best to help you.

Headquarters

Synway Information Engineering Co., Ltd

http://www.synway.net/

9F, Synway D&R Center, No.3756, Nanhuan Road, Binjiang District, Hangzhou, P.R.China, 310053

Tel: +86-571-88860561

Fax: +86-571-88850923

Wechat QR Code: Scan the QR code below to add us on Wechat.

Technical Support

Tel: +86-571-88864579

Mobile: +86-18905817070

Email: techsupport@sanhuid.com

Email: techsupport@synway.net

MSN: synway.support@hotmail.com

Sales Department

Tel: +86-571-88860561

Tel: +86-571-88864579

Fax: +86-571-88850923

Email: sales@synway.net